| 0.8.2 API documentation

- Main Page
- Namespaces
- Classes
- Files

- File List

man.doxy
1 # Doxyfile 1.8.12
2
3 # This file describes the settings to be used by the documentation system
4 # doxygen (www.doxygen.org) for a project.
5 #
6 # All text after a double hash (##) is considered a comment and is placed in
7 # front of the TAG it is preceding.
8 #
9 # All text after a single hash (#) is considered a comment and will be ignored.
10 # The format is:
11 # TAG = value [value, ...]
12 # For lists, items can also be appended using:
13 # TAG += value [value, ...]
14 # Values that contain spaces should be placed between quotes (\" \").
15
16 #---------------------------------------------------------------------------
17 # Project related configuration options
18 #---------------------------------------------------------------------------
19
20 # This tag specifies the encoding used for all characters in the config file
21 # that follow. The default is UTF-8 which is also the encoding used for all text
22 # before the first occurrence of this tag. Doxygen uses libiconv (or the iconv
23 # built into libc) for the transcoding. See http://www.gnu.org/software/libiconv
24 # for the list of possible encodings.
25 # The default value is: UTF-8.
26
27 DOXYFILE_ENCODING = UTF-8
28
29 # The PROJECT_NAME tag is a single word (or a sequence of words surrounded by
30 # double-quotes, unless you are using Doxywizard) that should identify the
31 # project for which the documentation is generated. This name is used in the
32 # title of most generated pages and in a few other places.
33 # The default value is: My Project.
34
35 PROJECT_NAME = "0.8.2 API documentation"
36
37 # The PROJECT_NUMBER tag can be used to enter a project or revision number. This
38 # could be handy for archiving the generated documentation or if some version
39 # control system is used.
40
41 PROJECT_NUMBER =
42
43 # Using the PROJECT_BRIEF tag one can provide an optional one line description
44 # for a project that appears at the top of each page and should give viewer a
45 # quick idea about the purpose of the project. Keep the description short.
46
47 PROJECT_BRIEF =
48
49 # With the PROJECT_LOGO tag one can specify a logo or an icon that is included
50 # in the documentation. The maximum height of the logo should not exceed 55
51 # pixels and the maximum width should not exceed 200 pixels. Doxygen will copy
52 # the logo to the output directory.
53
54 PROJECT_LOGO = G:/Source/G-Truc/gli/doc/logo.png
55
56 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) path
57 # into which the generated documentation will be written. If a relative path is
58 # entered, it will be relative to the location where doxygen was started. If
59 # left blank the current directory will be used.
60
61 OUTPUT_DIRECTORY = .
62
63 # If the CREATE_SUBDIRS tag is set to YES then doxygen will create 4096 sub-
64 # directories (in 2 levels) under the output directory of each output format and
65 # will distribute the generated files over these directories. Enabling this
66 # option can be useful when feeding doxygen a huge amount of source files, where
67 # putting all generated files in the same directory would otherwise causes
68 # performance problems for the file system.
69 # The default value is: NO.
70
71 CREATE_SUBDIRS = NO
72
73 # If the ALLOW_UNICODE_NAMES tag is set to YES, doxygen will allow non-ASCII
74 # characters to appear in the names of generated files. If set to NO, non-ASCII
75 # characters will be escaped, for example _xE3_x81_x84 will be used for Unicode
76 # U+3044.
77 # The default value is: NO.
78
79 ALLOW_UNICODE_NAMES = NO
80
81 # The OUTPUT_LANGUAGE tag is used to specify the language in which all
82 # documentation generated by doxygen is written. Doxygen will use this
83 # information to generate all constant output in the proper language.
84 # Possible values are: Afrikaans, Arabic, Armenian, Brazilian, Catalan, Chinese,
85 # Chinese-Traditional, Croatian, Czech, Danish, Dutch, English (United States),
86 # Esperanto, Farsi (Persian), Finnish, French, German, Greek, Hungarian,
87 # Indonesian, Italian, Japanese, Japanese-en (Japanese with English messages),
88 # Korean, Korean-en (Korean with English messages), Latvian, Lithuanian,
89 # Macedonian, Norwegian, Persian (Farsi), Polish, Portuguese, Romanian, Russian,
90 # Serbian, Serbian-Cyrillic, Slovak, Slovene, Spanish, Swedish, Turkish,
91 # Ukrainian and Vietnamese.
92 # The default value is: English.
93
94 OUTPUT_LANGUAGE = English
95
96 # If the BRIEF_MEMBER_DESC tag is set to YES, doxygen will include brief member
97 # descriptions after the members that are listed in the file and class
98 # documentation (similar to Javadoc). Set to NO to disable this.
99 # The default value is: YES.
100
101 BRIEF_MEMBER_DESC = YES
102
103 # If the REPEAT_BRIEF tag is set to YES, doxygen will prepend the brief
104 # description of a member or function before the detailed description
105 #
106 # Note: If both HIDE_UNDOC_MEMBERS and BRIEF_MEMBER_DESC are set to NO, the
107 # brief descriptions will be completely suppressed.
108 # The default value is: YES.
109
110 REPEAT_BRIEF = YES
111
112 # This tag implements a quasi-intelligent brief description abbreviator that is
113 # used to form the text in various listings. Each string in this list, if found
114 # as the leading text of the brief description, will be stripped from the text
115 # and the result, after processing the whole list, is used as the annotated
116 # text. Otherwise, the brief description is used as-is. If left blank, the
117 # following values are used ($name is automatically replaced with the name of
118 # the entity):The $name class, The $name widget, The $name file, is, provides,
119 # specifies, contains, represents, a, an and the.
120
121 ABBREVIATE_BRIEF = "The $name class " \
122 "The $name widget " \
123 "The $name file " \
124 is \
125 provides \
126 specifies \
127 contains \
128 represents \
129 a \
130 an \
131 the
132
133 # If the ALWAYS_DETAILED_SEC and REPEAT_BRIEF tags are both set to YES then
134 # doxygen will generate a detailed section even if there is only a brief
135 # description.
136 # The default value is: NO.
137
138 ALWAYS_DETAILED_SEC = NO
139
140 # If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all
141 # inherited members of a class in the documentation of that class as if those
142 # members were ordinary class members. Constructors, destructors and assignment
143 # operators of the base classes will not be shown.
144 # The default value is: NO.
145
146 INLINE_INHERITED_MEMB = NO
147
148 # If the FULL_PATH_NAMES tag is set to YES, doxygen will prepend the full path
149 # before files name in the file list and in the header files. If set to NO the
150 # shortest path that makes the file name unique will be used
151 # The default value is: YES.
152
153 FULL_PATH_NAMES = NO
154
155 # The STRIP_FROM_PATH tag can be used to strip a user-defined part of the path.
156 # Stripping is only done if one of the specified strings matches the left-hand
157 # part of the path. The tag can be used to show relative paths in the file list.
158 # If left blank the directory from which doxygen is run is used as the path to
159 # strip.
160 #
161 # Note that you can specify absolute paths here, but also relative paths, which
162 # will be relative from the directory where doxygen is started.
163 # This tag requires that the tag FULL_PATH_NAMES is set to YES.
164
165 STRIP_FROM_PATH = "C:/Documents and Settings/Groove/ "
166
167 # The STRIP_FROM_INC_PATH tag can be used to strip a user-defined part of the
168 # path mentioned in the documentation of a class, which tells the reader which
169 # header file to include in order to use a class. If left blank only the name of
170 # the header file containing the class definition is used. Otherwise one should
171 # specify the list of include paths that are normally passed to the compiler
172 # using the -I flag.
173
174 STRIP_FROM_INC_PATH =
175
176 # If the SHORT_NAMES tag is set to YES, doxygen will generate much shorter (but
177 # less readable) file names. This can be useful is your file systems doesn't
178 # support long names like on DOS, Mac, or CD-ROM.
179 # The default value is: NO.
180
181 SHORT_NAMES = YES
182
183 # If the JAVADOC_AUTOBRIEF tag is set to YES then doxygen will interpret the
184 # first line (until the first dot) of a Javadoc-style comment as the brief
185 # description. If set to NO, the Javadoc-style will behave just like regular Qt-
186 # style comments (thus requiring an explicit @brief command for a brief
187 # description.)
188 # The default value is: NO.
189
190 JAVADOC_AUTOBRIEF = YES
191
192 # If the QT_AUTOBRIEF tag is set to YES then doxygen will interpret the first
193 # line (until the first dot) of a Qt-style comment as the brief description. If
194 # set to NO, the Qt-style will behave just like regular Qt-style comments (thus
195 # requiring an explicit \brief command for a brief description.)
196 # The default value is: NO.
197
198 QT_AUTOBRIEF = NO
199
200 # The MULTILINE_CPP_IS_BRIEF tag can be set to YES to make doxygen treat a
201 # multi-line C++ special comment block (i.e. a block of
202 # a brief description. This used to be the default behavior. The new default is
203 # to treat a multi-line C++ comment block as a detailed description. Set this
204 # tag to YES if you prefer the old behavior instead.
205 #
206 # Note that setting this tag to YES also means that rational rose comments are
207 # not recognized any more.
208 # The default value is: NO.
209
210 MULTILINE_CPP_IS_BRIEF = NO
211
212 # If the INHERIT_DOCS tag is set to YES then an undocumented member inherits the
213 # documentation from any documented member that it re-implements.
214 # The default value is: YES.
215
216 INHERIT_DOCS = YES
217
218 # If the SEPARATE_MEMBER_PAGES tag is set to YES then doxygen will produce a new
219 # page for each member. If set to NO, the documentation of a member will be part
220 # of the file/class/namespace that contains it.
221 # The default value is: NO.
222
223 SEPARATE_MEMBER_PAGES = NO
224
225 # The TAB_SIZE tag can be used to set the number of spaces in a tab. Doxygen
226 # uses this value to replace tabs by spaces in code fragments.
227 # Minimum value: 1, maximum value: 16, default value: 4.
228
229 TAB_SIZE = 8
230
231 # This tag can be used to specify a number of aliases that act as commands in
232 # the documentation. An alias has the form:
233 # name=value
234 # For example adding
235 # "sideeffect=@par Side Effects:\n"
236 # will allow you to put the command \sideeffect (or @sideeffect) in the
237 # documentation, which will result in a user-defined paragraph with heading
238 # "Side Effects:". You can put \n's in the value part of an alias to insert
239 # newlines.
240
241 ALIASES =
242
243 # This tag can be used to specify a number of word-keyword mappings (TCL only).
244 # A mapping has the form "name=value". For example adding "class=itcl::class"
245 # will allow you to use the command class in the itcl::class meaning.
246
247 TCL_SUBST =
248
249 # Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C sources
250 # only. Doxygen will then generate output that is more tailored for C. For
251 # instance, some of the names that are used will be different. The list of all
252 # members will be omitted, etc.
253 # The default value is: NO.
254
255 OPTIMIZE_OUTPUT_FOR_C = NO
256
257 # Set the OPTIMIZE_OUTPUT_JAVA tag to YES if your project consists of Java or
258 # Python sources only. Doxygen will then generate output that is more tailored
259 # for that language. For instance, namespaces will be presented as packages,
260 # qualified scopes will look different, etc.
261 # The default value is: NO.
262
263 OPTIMIZE_OUTPUT_JAVA = NO
264
265 # Set the OPTIMIZE_FOR_FORTRAN tag to YES if your project consists of Fortran
266 # sources. Doxygen will then generate output that is tailored for Fortran.
267 # The default value is: NO.
268
269 OPTIMIZE_FOR_FORTRAN = NO
270
271 # Set the OPTIMIZE_OUTPUT_VHDL tag to YES if your project consists of VHDL
272 # sources. Doxygen will then generate output that is tailored for VHDL.
273 # The default value is: NO.
274
275 OPTIMIZE_OUTPUT_VHDL = NO
276
277 # Doxygen selects the parser to use depending on the extension of the files it
278 # parses. With this tag you can assign which parser to use for a given
279 # extension. Doxygen has a built-in mapping, but you can override or extend it
280 # using this tag. The format is ext=language, where ext is a file extension, and
281 # language is one of the parsers supported by doxygen: IDL, Java, Javascript,
282 # C#, C, C++, D, PHP, Objective-C, Python, Fortran (fixed format Fortran:
283 # FortranFixed, free formatted Fortran: FortranFree, unknown formatted Fortran:
284 # Fortran. In the later case the parser tries to guess whether the code is fixed
285 # or free formatted code, this is the default for Fortran type files), VHDL. For
286 # instance to make doxygen treat .inc files as Fortran files (default is PHP),
287 # and .f files as C (default is Fortran), use: inc=Fortran f=C.
288 #
289 # Note: For files without extension you can use no_extension as a placeholder.
290 #
291 # Note that for custom extensions you also need to set FILE_PATTERNS otherwise
292 # the files are not read by doxygen.
293
294 EXTENSION_MAPPING =
295
296 # If the MARKDOWN_SUPPORT tag is enabled then doxygen pre-processes all comments
297 # according to the Markdown format, which allows for more readable
298 # documentation. See http://daringfireball.net/projects/markdown/ for details.
299 # The output of markdown processing is further processed by doxygen, so you can
300 # mix doxygen, HTML, and XML commands with Markdown formatting. Disable only in
301 # case of backward compatibilities issues.
302 # The default value is: YES.
303
304 MARKDOWN_SUPPORT = YES
305
306 # When the TOC_INCLUDE_HEADINGS tag is set to a non-zero value, all headings up
307 # to that level are automatically included in the table of contents, even if
308 # they do not have an id attribute.
309 # Note: This feature currently applies only to Markdown headings.
310 # Minimum value: 0, maximum value: 99, default value: 0.
311 # This tag requires that the tag MARKDOWN_SUPPORT is set to YES.
312
313 TOC_INCLUDE_HEADINGS = 0
314
315 # When enabled doxygen tries to link words that correspond to documented
316 # classes, or namespaces to their corresponding documentation. Such a link can
317 # be prevented in individual cases by putting a % sign in front of the word or
318 # globally by setting AUTOLINK_SUPPORT to NO.
319 # The default value is: YES.
320
321 AUTOLINK_SUPPORT = YES
322
323 # If you use STL classes (i.e. std::string, std::vector, etc.) but do not want
324 # to include (a tag file for) the STL sources as input, then you should set this
325 # tag to YES in order to let doxygen match functions declarations and
326 # definitions whose arguments contain STL classes (e.g. func(std::string);
327 # versus func(std::string) {}). This also make the inheritance and collaboration
328 # diagrams that involve STL classes more complete and accurate.
329 # The default value is: NO.
330
331 BUILTIN_STL_SUPPORT = NO
332
333 # If you use Microsoft's C++/CLI language, you should set this option to YES to
334 # enable parsing support.
335 # The default value is: NO.
336
337 CPP_CLI_SUPPORT = NO
338
339 # Set the SIP_SUPPORT tag to YES if your project consists of sip (see:
340 # http://www.riverbankcomputing.co.uk/software/sip/intro) sources only. Doxygen
341 # will parse them like normal C++ but will assume all classes use public instead
342 # of private inheritance when no explicit protection keyword is present.
343 # The default value is: NO.
344
345 SIP_SUPPORT = NO
346
347 # For Microsoft's IDL there are propget and propput attributes to indicate
348 # getter and setter methods for a property. Setting this option to YES will make
349 # doxygen to replace the get and set methods by a property in the documentation.
350 # This will only work if the methods are indeed getting or setting a simple
351 # type. If this is not the case, or you want to show the methods anyway, you
352 # should set this option to NO.
353 # The default value is: YES.
354
355 IDL_PROPERTY_SUPPORT = YES
356
357 # If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC
358 # tag is set to YES then doxygen will reuse the documentation of the first
359 # member in the group (if any) for the other members of the group. By default
360 # all members of a group must be documented explicitly.
361 # The default value is: NO.
362
363 DISTRIBUTE_GROUP_DOC = NO
364
365 # If one adds a struct or class to a group and this option is enabled, then also
366 # any nested class or struct is added to the same group. By default this option
367 # is disabled and one has to add nested compounds explicitly via \ingroup.
368 # The default value is: NO.
369
370 GROUP_NESTED_COMPOUNDS = NO
371
372 # Set the SUBGROUPING tag to YES to allow class member groups of the same type
373 # (for instance a group of public functions) to be put as a subgroup of that
374 # type (e.g. under the Public Functions section). Set it to NO to prevent
375 # subgrouping. Alternatively, this can be done per class using the
376 # \nosubgrouping command.
377 # The default value is: YES.
378
379 SUBGROUPING = NO
380
381 # When the INLINE_GROUPED_CLASSES tag is set to YES, classes, structs and unions
382 # are shown inside the group in which they are included (e.g. using \ingroup)
383 # instead of on a separate page (for HTML and Man pages) or section (for LaTeX
384 # and RTF).
385 #
386 # Note that this feature does not work in combination with
387 # SEPARATE_MEMBER_PAGES.
388 # The default value is: NO.
389
390 INLINE_GROUPED_CLASSES = NO
391
392 # When the INLINE_SIMPLE_STRUCTS tag is set to YES, structs, classes, and unions
393 # with only public data fields or simple typedef fields will be shown inline in
394 # the documentation of the scope in which they are defined (i.e. file,
395 # namespace, or group documentation), provided this scope is documented. If set
396 # to NO, structs, classes, and unions are shown on a separate page (for HTML and
397 # Man pages) or section (for LaTeX and RTF).
398 # The default value is: NO.
399
400 INLINE_SIMPLE_STRUCTS = NO
401
402 # When TYPEDEF_HIDES_STRUCT tag is enabled, a typedef of a struct, union, or
403 # enum is documented as struct, union, or enum with the name of the typedef. So
404 # typedef struct TypeS {} TypeT, will appear in the documentation as a struct
405 # with name TypeT. When disabled the typedef will appear as a member of a file,
406 # namespace, or class. And the struct will be named TypeS. This can typically be
407 # useful for C code in case the coding convention dictates that all compound
408 # types are typedef'ed and only the typedef is referenced, never the tag name.
409 # The default value is: NO.
410
411 TYPEDEF_HIDES_STRUCT = NO
412
413 # The size of the symbol lookup cache can be set using LOOKUP_CACHE_SIZE. This
414 # cache is used to resolve symbols given their name and scope. Since this can be
415 # an expensive process and often the same symbol appears multiple times in the
416 # code, doxygen keeps a cache of pre-resolved symbols. If the cache is too small
417 # doxygen will become slower. If the cache is too large, memory is wasted. The
418 # cache size is given by this formula: 2^(16+LOOKUP_CACHE_SIZE). The valid range
419 # is 0..9, the default is 0, corresponding to a cache size of 2^16=65536
420 # symbols. At the end of a run doxygen will report the cache usage and suggest
421 # the optimal cache size from a speed point of view.
422 # Minimum value: 0, maximum value: 9, default value: 0.
423
424 LOOKUP_CACHE_SIZE = 0
425
426 #---------------------------------------------------------------------------
427 # Build related configuration options
428 #---------------------------------------------------------------------------
429
430 # If the EXTRACT_ALL tag is set to YES, doxygen will assume all entities in
431 # documentation are documented, even if no documentation was available. Private
432 # class members and static file members will be hidden unless the
433 # EXTRACT_PRIVATE respectively EXTRACT_STATIC tags are set to YES.
434 # Note: This will also disable the warnings about undocumented members that are
435 # normally produced when WARNINGS is set to YES.
436 # The default value is: NO.
437
438 EXTRACT_ALL = NO
439
440 # If the EXTRACT_PRIVATE tag is set to YES, all private members of a class will
441 # be included in the documentation.
442 # The default value is: NO.
443
444 EXTRACT_PRIVATE = NO
445
446 # If the EXTRACT_PACKAGE tag is set to YES, all members with package or internal
447 # scope will be included in the documentation.
448 # The default value is: NO.
449
450 EXTRACT_PACKAGE = NO
451
452 # If the EXTRACT_STATIC tag is set to YES, all static members of a file will be
453 # included in the documentation.
454 # The default value is: NO.
455
456 EXTRACT_STATIC = YES
457
458 # If the EXTRACT_LOCAL_CLASSES tag is set to YES, classes (and structs) defined
459 # locally in source files will be included in the documentation. If set to NO,
460 # only classes defined in header files are included. Does not have any effect
461 # for Java sources.
462 # The default value is: YES.
463
464 EXTRACT_LOCAL_CLASSES = NO
465
466 # This flag is only useful for Objective-C code. If set to YES, local methods,
467 # which are defined in the implementation section but not in the interface are
468 # included in the documentation. If set to NO, only methods in the interface are
469 # included.
470 # The default value is: NO.
471
472 EXTRACT_LOCAL_METHODS = NO
473
474 # If this flag is set to YES, the members of anonymous namespaces will be
475 # extracted and appear in the documentation as a namespace called
476 # 'anonymous_namespace{file}', where file will be replaced with the base name of
477 # the file that contains the anonymous namespace. By default anonymous namespace
478 # are hidden.
479 # The default value is: NO.
480
481 EXTRACT_ANON_NSPACES = NO
482
483 # If the HIDE_UNDOC_MEMBERS tag is set to YES, doxygen will hide all
484 # undocumented members inside documented classes or files. If set to NO these
485 # members will be included in the various overviews, but no documentation
486 # section is generated. This option has no effect if EXTRACT_ALL is enabled.
487 # The default value is: NO.
488
489 HIDE_UNDOC_MEMBERS = YES
490
491 # If the HIDE_UNDOC_CLASSES tag is set to YES, doxygen will hide all
492 # undocumented classes that are normally visible in the class hierarchy. If set
493 # to NO, these classes will be included in the various overviews. This option
494 # has no effect if EXTRACT_ALL is enabled.
495 # The default value is: NO.
496
497 HIDE_UNDOC_CLASSES = YES
498
499 # If the HIDE_FRIEND_COMPOUNDS tag is set to YES, doxygen will hide all friend
500 # (class|struct|union) declarations. If set to NO, these declarations will be
501 # included in the documentation.
502 # The default value is: NO.
503
504 HIDE_FRIEND_COMPOUNDS = YES
505
506 # If the HIDE_IN_BODY_DOCS tag is set to YES, doxygen will hide any
507 # documentation blocks found inside the body of a function. If set to NO, these
508 # blocks will be appended to the function's detailed documentation block.
509 # The default value is: NO.
510
511 HIDE_IN_BODY_DOCS = NO
512
513 # The INTERNAL_DOCS tag determines if documentation that is typed after a
514 # \internal command is included. If the tag is set to NO then the documentation
515 # will be excluded. Set it to YES to include the internal documentation.
516 # The default value is: NO.
517
518 INTERNAL_DOCS = NO
519
520 # If the CASE_SENSE_NAMES tag is set to NO then doxygen will only generate file
521 # names in lower-case letters. If set to YES, upper-case letters are also
522 # allowed. This is useful if you have classes or files whose names only differ
523 # in case and if your file system supports case sensitive file names. Windows
524 # and Mac users are advised to set this option to NO.
525 # The default value is: system dependent.
526
527 CASE_SENSE_NAMES = YES
528
529 # If the HIDE_SCOPE_NAMES tag is set to NO then doxygen will show members with
530 # their full class and namespace scopes in the documentation. If set to YES, the
531 # scope will be hidden.
532 # The default value is: NO.
533
534 HIDE_SCOPE_NAMES = YES
535
536 # If the HIDE_COMPOUND_REFERENCE tag is set to NO (default) then doxygen will
537 # append additional text to a page's title, such as Class Reference. If set to
538 # YES the compound reference will be hidden.
539 # The default value is: NO.
540
541 HIDE_COMPOUND_REFERENCE= NO
542
543 # If the SHOW_INCLUDE_FILES tag is set to YES then doxygen will put a list of
544 # the files that are included by a file in the documentation of that file.
545 # The default value is: YES.
546
547 SHOW_INCLUDE_FILES = NO
548
549 # If the SHOW_GROUPED_MEMB_INC tag is set to YES then Doxygen will add for each
550 # grouped member an include statement to the documentation, telling the reader
551 # which file to include in order to use the member.
552 # The default value is: NO.
553
554 SHOW_GROUPED_MEMB_INC = NO
555
556 # If the FORCE_LOCAL_INCLUDES tag is set to YES then doxygen will list include
557 # files with double quotes in the documentation rather than with sharp brackets.
558 # The default value is: NO.
559
560 FORCE_LOCAL_INCLUDES = NO
561
562 # If the INLINE_INFO tag is set to YES then a tag [inline] is inserted in the
563 # documentation for inline members.
564 # The default value is: YES.
565
566 INLINE_INFO = NO
567
568 # If the SORT_MEMBER_DOCS tag is set to YES then doxygen will sort the
569 # (detailed) documentation of file and class members alphabetically by member
570 # name. If set to NO, the members will appear in declaration order.
571 # The default value is: YES.
572
573 SORT_MEMBER_DOCS = YES
574
575 # If the SORT_BRIEF_DOCS tag is set to YES then doxygen will sort the brief
576 # descriptions of file, namespace and class members alphabetically by member
577 # name. If set to NO, the members will appear in declaration order. Note that
578 # this will also influence the order of the classes in the class list.
579 # The default value is: NO.
580
581 SORT_BRIEF_DOCS = YES
582
583 # If the SORT_MEMBERS_CTORS_1ST tag is set to YES then doxygen will sort the
584 # (brief and detailed) documentation of class members so that constructors and
585 # destructors are listed first. If set to NO the constructors will appear in the
586 # respective orders defined by SORT_BRIEF_DOCS and SORT_MEMBER_DOCS.
587 # Note: If SORT_BRIEF_DOCS is set to NO this option is ignored for sorting brief
588 # member documentation.
589 # Note: If SORT_MEMBER_DOCS is set to NO this option is ignored for sorting
590 # detailed member documentation.
591 # The default value is: NO.
592
593 SORT_MEMBERS_CTORS_1ST = NO
594
595 # If the SORT_GROUP_NAMES tag is set to YES then doxygen will sort the hierarchy
596 # of group names into alphabetical order. If set to NO the group names will
597 # appear in their defined order.
598 # The default value is: NO.
599
600 SORT_GROUP_NAMES = NO
601
602 # If the SORT_BY_SCOPE_NAME tag is set to YES, the class list will be sorted by
603 # fully-qualified names, including namespaces. If set to NO, the class list will
604 # be sorted only by class name, not including the namespace part.
605 # Note: This option is not very useful if HIDE_SCOPE_NAMES is set to YES.
606 # Note: This option applies only to the class list, not to the alphabetical
607 # list.
608 # The default value is: NO.
609
610 SORT_BY_SCOPE_NAME = YES
611
612 # If the STRICT_PROTO_MATCHING option is enabled and doxygen fails to do proper
613 # type resolution of all parameters of a function it will reject a match between
614 # the prototype and the implementation of a member function even if there is
615 # only one candidate or it is obvious which candidate to choose by doing a
616 # simple string match. By disabling STRICT_PROTO_MATCHING doxygen will still
617 # accept a match between prototype and implementation in such cases.
618 # The default value is: NO.
619
620 STRICT_PROTO_MATCHING = NO
621
622 # The GENERATE_TODOLIST tag can be used to enable (YES) or disable (NO) the todo
623 # list. This list is created by putting \todo commands in the documentation.
624 # The default value is: YES.
625
626 GENERATE_TODOLIST = YES
627
628 # The GENERATE_TESTLIST tag can be used to enable (YES) or disable (NO) the test
629 # list. This list is created by putting \test commands in the documentation.
630 # The default value is: YES.
631
632 GENERATE_TESTLIST = YES
633
634 # The GENERATE_BUGLIST tag can be used to enable (YES) or disable (NO) the bug
635 # list. This list is created by putting \bug commands in the documentation.
636 # The default value is: YES.
637
638 GENERATE_BUGLIST = YES
639
640 # The GENERATE_DEPRECATEDLIST tag can be used to enable (YES) or disable (NO)
641 # the deprecated list. This list is created by putting \deprecated commands in
642 # the documentation.
643 # The default value is: YES.
644
645 GENERATE_DEPRECATEDLIST= YES
646
647 # The ENABLED_SECTIONS tag can be used to enable conditional documentation
648 # sections, marked by \if <section_label> ... \endif and \cond <section_label>
649 # ... \endcond blocks.
650
651 ENABLED_SECTIONS =
652
653 # The MAX_INITIALIZER_LINES tag determines the maximum number of lines that the
654 # initial value of a variable or macro / define can have for it to appear in the
655 # documentation. If the initializer consists of more lines than specified here
656 # it will be hidden. Use a value of 0 to hide initializers completely. The
657 # appearance of the value of individual variables and macros / defines can be
658 # controlled using \showinitializer or \hideinitializer command in the
659 # documentation regardless of this setting.
660 # Minimum value: 0, maximum value: 10000, default value: 30.
661
662 MAX_INITIALIZER_LINES = 30
663
664 # Set the SHOW_USED_FILES tag to NO to disable the list of files generated at
665 # the bottom of the documentation of classes and structs. If set to YES, the
666 # list will mention the files that were used to generate the documentation.
667 # The default value is: YES.
668
669 SHOW_USED_FILES = NO
670
671 # Set the SHOW_FILES tag to NO to disable the generation of the Files page. This
672 # will remove the Files entry from the Quick Index and from the Folder Tree View
673 # (if specified).
674 # The default value is: YES.
675
676 SHOW_FILES = YES
677
678 # Set the SHOW_NAMESPACES tag to NO to disable the generation of the Namespaces
679 # page. This will remove the Namespaces entry from the Quick Index and from the
680 # Folder Tree View (if specified).
681 # The default value is: YES.
682
683 SHOW_NAMESPACES = YES
684
685 # The FILE_VERSION_FILTER tag can be used to specify a program or script that
686 # doxygen should invoke to get the current version for each file (typically from
687 # the version control system). Doxygen will invoke the program by executing (via
688 # popen()) the command command input-file, where command is the value of the
689 # FILE_VERSION_FILTER tag, and input-file is the name of an input file provided
690 # by doxygen. Whatever the program writes to standard output is used as the file
691 # version. For an example see the documentation.
692
693 FILE_VERSION_FILTER =
694
695 # The LAYOUT_FILE tag can be used to specify a layout file which will be parsed
696 # by doxygen. The layout file controls the global structure of the generated
697 # output files in an output format independent way. To create the layout file
698 # that represents doxygen's defaults, run doxygen with the -l option. You can
699 # optionally specify a file name after the option, if omitted DoxygenLayout.xml
700 # will be used as the name of the layout file.
701 #
702 # Note that if you run doxygen from a directory containing a file called
703 # DoxygenLayout.xml, doxygen will parse it automatically even if the LAYOUT_FILE
704 # tag is left empty.
705
706 LAYOUT_FILE =
707
708 # The CITE_BIB_FILES tag can be used to specify one or more bib files containing
709 # the reference definitions. This must be a list of .bib files. The .bib
710 # extension is automatically appended if omitted. This requires the bibtex tool
711 # to be installed. See also http://en.wikipedia.org/wiki/BibTeX for more info.
712 # For LaTeX the style of the bibliography can be controlled using
713 # LATEX_BIB_STYLE. To use this feature you need bibtex and perl available in the
714 # search path. See also \cite for info how to create references.
715
716 CITE_BIB_FILES =
717
718 #---------------------------------------------------------------------------
719 # Configuration options related to warning and progress messages
720 #---------------------------------------------------------------------------
721
722 # The QUIET tag can be used to turn on/off the messages that are generated to
723 # standard output by doxygen. If QUIET is set to YES this implies that the
724 # messages are off.
725 # The default value is: NO.
726
727 QUIET = NO
728
729 # The WARNINGS tag can be used to turn on/off the warning messages that are
730 # generated to standard error (stderr) by doxygen. If WARNINGS is set to YES
731 # this implies that the warnings are on.
732 #
733 # Tip: Turn warnings on while writing the documentation.
734 # The default value is: YES.
735
736 WARNINGS = YES
737
738 # If the WARN_IF_UNDOCUMENTED tag is set to YES then doxygen will generate
739 # warnings for undocumented members. If EXTRACT_ALL is set to YES then this flag
740 # will automatically be disabled.
741 # The default value is: YES.
742
743 WARN_IF_UNDOCUMENTED = YES
744
745 # If the WARN_IF_DOC_ERROR tag is set to YES, doxygen will generate warnings for
746 # potential errors in the documentation, such as not documenting some parameters
747 # in a documented function, or documenting parameters that don't exist or using
748 # markup commands wrongly.
749 # The default value is: YES.
750
751 WARN_IF_DOC_ERROR = YES
752
753 # This WARN_NO_PARAMDOC option can be enabled to get warnings for functions that
754 # are documented, but have no documentation for their parameters or return
755 # value. If set to NO, doxygen will only warn about wrong or incomplete
756 # parameter documentation, but not about the absence of documentation.
757 # The default value is: NO.
758
759 WARN_NO_PARAMDOC = NO
760
761 # If the WARN_AS_ERROR tag is set to YES then doxygen will immediately stop when
762 # a warning is encountered.
763 # The default value is: NO.
764
765 WARN_AS_ERROR = NO
766
767 # The WARN_FORMAT tag determines the format of the warning messages that doxygen
768 # can produce. The string should contain the $file, $line, and $text tags, which
769 # will be replaced by the file and line number from which the warning originated
770 # and the warning text. Optionally the format may contain $version, which will
771 # be replaced by the version of the file (if it could be obtained via
772 # FILE_VERSION_FILTER)
773 # The default value is: $file:$line: $text.
774
775 WARN_FORMAT = "$file:$line: $text"
776
777 # The WARN_LOGFILE tag can be used to specify a file to which warning and error
778 # messages should be written. If left blank the output is written to standard
779 # error (stderr).
780
781 WARN_LOGFILE =
782
783 #---------------------------------------------------------------------------
784 # Configuration options related to the input files
785 #---------------------------------------------------------------------------
786
787 # The INPUT tag is used to specify the files and/or directories that contain
788 # documented source files. You may enter file names like myfile.cpp or
789 # directories like /usr/src/myproject. Separate the files or directories with
790 # spaces. See also FILE_PATTERNS and EXTENSION_MAPPING
791 # Note: If this tag is empty the current directory is searched.
792
793 INPUT = ../gli \
794 .
795
796 # This tag can be used to specify the character encoding of the source files
797 # that doxygen parses. Internally doxygen uses the UTF-8 encoding. Doxygen uses
798 # libiconv (or the iconv built into libc) for the transcoding. See the libiconv
799 # documentation (see: http://www.gnu.org/software/libiconv) for the list of
800 # possible encodings.
801 # The default value is: UTF-8.
802
803 INPUT_ENCODING = UTF-8
804
805 # If the value of the INPUT tag contains directories, you can use the
806 # FILE_PATTERNS tag to specify one or more wildcard patterns (like *.cpp and
807 # *.h) to filter out the source-files in the directories.
808 #
809 # Note that for custom extensions or not directly supported extensions you also
810 # need to set EXTENSION_MAPPING for the extension otherwise the files are not
811 # read by doxygen.
812 #
813 # If left blank the following patterns are tested:*.c, *.cc, *.cxx, *.cpp,
814 # *.c++, *.java, *.ii, *.ixx, *.ipp, *.i++, *.inl, *.idl, *.ddl, *.odl, *.h,
815 # *.hh, *.hxx, *.hpp, *.h++, *.cs, *.d, *.php, *.php4, *.php5, *.phtml, *.inc,
816 # *.m, *.markdown, *.md, *.mm, *.dox, *.py, *.pyw, *.f90, *.f95, *.f03, *.f08,
817 # *.f, *.for, *.tcl, *.vhd, *.vhdl, *.ucf and *.qsf.
818
819 FILE_PATTERNS = *.hpp \
820 *.doxy
821
822 # The RECURSIVE tag can be used to specify whether or not subdirectories should
823 # be searched for input files as well.
824 # The default value is: NO.
825
826 RECURSIVE = YES
827
828 # The EXCLUDE tag can be used to specify files and/or directories that should be
829 # excluded from the INPUT source files. This way you can easily exclude a
830 # subdirectory from a directory tree whose root is specified with the INPUT tag.
831 #
832 # Note that relative paths are relative to the directory from which doxygen is
833 # run.
834
835 EXCLUDE = gli/core
836
837 # The EXCLUDE_SYMLINKS tag can be used to select whether or not files or
838 # directories that are symbolic links (a Unix file system feature) are excluded
839 # from the input.
840 # The default value is: NO.
841
842 EXCLUDE_SYMLINKS = NO
843
844 # If the value of the INPUT tag contains directories, you can use the
845 # EXCLUDE_PATTERNS tag to specify one or more wildcard patterns to exclude
846 # certain files from those directories.
847 #
848 # Note that the wildcards are matched against the file with absolute path, so to
849 # exclude all test directories for example use the pattern */test/*
850
851 EXCLUDE_PATTERNS =
852
853 # The EXCLUDE_SYMBOLS tag can be used to specify one or more symbol names
854 # (namespaces, classes, functions, etc.) that should be excluded from the
855 # output. The symbol name can be a fully qualified name, a word, or if the
856 # wildcard * is used, a substring. Examples: ANamespace, AClass,
857 # AClass::ANamespace, ANamespace::*Test
858 #
859 # Note that the wildcards are matched against the file with absolute path, so to
860 # exclude all test directories use the pattern */test/*
861
862 EXCLUDE_SYMBOLS =
863
864 # The EXAMPLE_PATH tag can be used to specify one or more files or directories
865 # that contain example code fragments that are included (see the \include
866 # command).
867
868 EXAMPLE_PATH =
869
870 # If the value of the EXAMPLE_PATH tag contains directories, you can use the
871 # EXAMPLE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp and
872 # *.h) to filter out the source-files in the directories. If left blank all
873 # files are included.
874
875 EXAMPLE_PATTERNS = *
876
877 # If the EXAMPLE_RECURSIVE tag is set to YES then subdirectories will be
878 # searched for input files to be used with the \include or \dontinclude commands
879 # irrespective of the value of the RECURSIVE tag.
880 # The default value is: NO.
881
882 EXAMPLE_RECURSIVE = NO
883
884 # The IMAGE_PATH tag can be used to specify one or more files or directories
885 # that contain images that are to be included in the documentation (see the
886 # \image command).
887
888 IMAGE_PATH =
889
890 # The INPUT_FILTER tag can be used to specify a program that doxygen should
891 # invoke to filter for each input file. Doxygen will invoke the filter program
892 # by executing (via popen()) the command:
893 #
894 # <filter> <input-file>
895 #
896 # where <filter> is the value of the INPUT_FILTER tag, and <input-file> is the
897 # name of an input file. Doxygen will then use the output that the filter
898 # program writes to standard output. If FILTER_PATTERNS is specified, this tag
899 # will be ignored.
900 #
901 # Note that the filter must not add or remove lines; it is applied before the
902 # code is scanned, but not when the output code is generated. If lines are added
903 # or removed, the anchors will not be placed correctly.
904 #
905 # Note that for custom extensions or not directly supported extensions you also
906 # need to set EXTENSION_MAPPING for the extension otherwise the files are not
907 # properly processed by doxygen.
908
909 INPUT_FILTER =
910
911 # The FILTER_PATTERNS tag can be used to specify filters on a per file pattern
912 # basis. Doxygen will compare the file name with each pattern and apply the
913 # filter if there is a match. The filters are a list of the form: pattern=filter
914 # (like *.cpp=my_cpp_filter). See INPUT_FILTER for further information on how
915 # filters are used. If the FILTER_PATTERNS tag is empty or if none of the
916 # patterns match the file name, INPUT_FILTER is applied.
917 #
918 # Note that for custom extensions or not directly supported extensions you also
919 # need to set EXTENSION_MAPPING for the extension otherwise the files are not
920 # properly processed by doxygen.
921
922 FILTER_PATTERNS =
923
924 # If the FILTER_SOURCE_FILES tag is set to YES, the input filter (if set using
925 # INPUT_FILTER) will also be used to filter the input files that are used for
926 # producing the source files to browse (i.e. when SOURCE_BROWSER is set to YES).
927 # The default value is: NO.
928
929 FILTER_SOURCE_FILES = NO
930
931 # The FILTER_SOURCE_PATTERNS tag can be used to specify source filters per file
932 # pattern. A pattern will override the setting for FILTER_PATTERN (if any) and
933 # it is also possible to disable source filtering for a specific pattern using
934 # *.ext= (so without naming a filter).
935 # This tag requires that the tag FILTER_SOURCE_FILES is set to YES.
936
937 FILTER_SOURCE_PATTERNS =
938
939 # If the USE_MDFILE_AS_MAINPAGE tag refers to the name of a markdown file that
940 # is part of the input, its contents will be placed on the main page
941 # (index.html). This can be useful if you have a project on for instance GitHub
942 # and want to reuse the introduction page also for the doxygen output.
943
944 USE_MDFILE_AS_MAINPAGE =
945
946 #---------------------------------------------------------------------------
947 # Configuration options related to source browsing
948 #---------------------------------------------------------------------------
949
950 # If the SOURCE_BROWSER tag is set to YES then a list of source files will be
951 # generated. Documented entities will be cross-referenced with these sources.
952 #
953 # Note: To get rid of all source code in the generated output, make sure that
954 # also VERBATIM_HEADERS is set to NO.
955 # The default value is: NO.
956
957 SOURCE_BROWSER = YES
958
959 # Setting the INLINE_SOURCES tag to YES will include the body of functions,
960 # classes and enums directly into the documentation.
961 # The default value is: NO.
962
963 INLINE_SOURCES = NO
964
965 # Setting the STRIP_CODE_COMMENTS tag to YES will instruct doxygen to hide any
966 # special comment blocks from generated source code fragments. Normal C, C++ and
967 # Fortran comments will always remain visible.
968 # The default value is: YES.
969
970 STRIP_CODE_COMMENTS = YES
971
972 # If the REFERENCED_BY_RELATION tag is set to YES then for each documented
973 # function all documented functions referencing it will be listed.
974 # The default value is: NO.
975
976 REFERENCED_BY_RELATION = YES
977
978 # If the REFERENCES_RELATION tag is set to YES then for each documented function
979 # all documented entities called/used by that function will be listed.
980 # The default value is: NO.
981
982 REFERENCES_RELATION = YES
983
984 # If the REFERENCES_LINK_SOURCE tag is set to YES and SOURCE_BROWSER tag is set
985 # to YES then the hyperlinks from functions in REFERENCES_RELATION and
986 # REFERENCED_BY_RELATION lists will link to the source code. Otherwise they will
987 # link to the documentation.
988 # The default value is: YES.
989
990 REFERENCES_LINK_SOURCE = YES
991
992 # If SOURCE_TOOLTIPS is enabled (the default) then hovering a hyperlink in the
993 # source code will show a tooltip with additional information such as prototype,
994 # brief description and links to the definition and documentation. Since this
995 # will make the HTML file larger and loading of large files a bit slower, you
996 # can opt to disable this feature.
997 # The default value is: YES.
998 # This tag requires that the tag SOURCE_BROWSER is set to YES.
999
1000 SOURCE_TOOLTIPS = YES
1001
1002 # If the USE_HTAGS tag is set to YES then the references to source code will
1003 # point to the HTML generated by the htags(1) tool instead of doxygen built-in
1004 # source browser. The htags tool is part of GNU's global source tagging system
1005 # (see http://www.gnu.org/software/global/global.html). You will need version
1006 # 4.8.6 or higher.
1007 #
1008 # To use it do the following:
1009 # - Install the latest version of global
1010 # - Enable SOURCE_BROWSER and USE_HTAGS in the config file
1011 # - Make sure the INPUT points to the root of the source tree
1012 # - Run doxygen as normal
1013 #
1014 # Doxygen will invoke htags (and that will in turn invoke gtags), so these
1015 # tools must be available from the command line (i.e. in the search path).
1016 #
1017 # The result: instead of the source browser generated by doxygen, the links to
1018 # source code will now point to the output of htags.
1019 # The default value is: NO.
1020 # This tag requires that the tag SOURCE_BROWSER is set to YES.
1021
1022 USE_HTAGS = NO
1023
1024 # If the VERBATIM_HEADERS tag is set the YES then doxygen will generate a
1025 # verbatim copy of the header file for each class for which an include is
1026 # specified. Set to NO to disable this.
1027 # See also: Section \class.
1028 # The default value is: YES.
1029
1030 VERBATIM_HEADERS = YES
1031
1032 # If the CLANG_ASSISTED_PARSING tag is set to YES then doxygen will use the
1033 # clang parser (see: http://clang.llvm.org/) for more accurate parsing at the
1034 # cost of reduced performance. This can be particularly helpful with template
1035 # rich C++ code for which doxygen's built-in parser lacks the necessary type
1036 # information.
1037 # Note: The availability of this option depends on whether or not doxygen was
1038 # generated with the -Duse-libclang=ON option for CMake.
1039 # The default value is: NO.
1040
1041 CLANG_ASSISTED_PARSING = NO
1042
1043 # If clang assisted parsing is enabled you can provide the compiler with command
1044 # line options that you would normally use when invoking the compiler. Note that
1045 # the include paths will already be set by doxygen for the files and directories
1046 # specified with INPUT and INCLUDE_PATH.
1047 # This tag requires that the tag CLANG_ASSISTED_PARSING is set to YES.
1048
1049 CLANG_OPTIONS =
1050
1051 #---------------------------------------------------------------------------
1052 # Configuration options related to the alphabetical class index
1053 #---------------------------------------------------------------------------
1054
1055 # If the ALPHABETICAL_INDEX tag is set to YES, an alphabetical index of all
1056 # compounds will be generated. Enable this if the project contains a lot of
1057 # classes, structs, unions or interfaces.
1058 # The default value is: YES.
1059
1060 ALPHABETICAL_INDEX = NO
1061
1062 # The COLS_IN_ALPHA_INDEX tag can be used to specify the number of columns in
1063 # which the alphabetical index list will be split.
1064 # Minimum value: 1, maximum value: 20, default value: 5.
1065 # This tag requires that the tag ALPHABETICAL_INDEX is set to YES.
1066
1067 COLS_IN_ALPHA_INDEX = 5
1068
1069 # In case all classes in a project start with a common prefix, all classes will
1070 # be put under the same header in the alphabetical index. The IGNORE_PREFIX tag
1071 # can be used to specify a prefix (or a list of prefixes) that should be ignored
1072 # while generating the index headers.
1073 # This tag requires that the tag ALPHABETICAL_INDEX is set to YES.
1074
1075 IGNORE_PREFIX =
1076
1077 #---------------------------------------------------------------------------
1078 # Configuration options related to the HTML output
1079 #---------------------------------------------------------------------------
1080
1081 # If the GENERATE_HTML tag is set to YES, doxygen will generate HTML output
1082 # The default value is: YES.
1083
1084 GENERATE_HTML = YES
1085
1086 # The HTML_OUTPUT tag is used to specify where the HTML docs will be put. If a
1087 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1088 # it.
1089 # The default directory is: html.
1090 # This tag requires that the tag GENERATE_HTML is set to YES.
1091
1092 HTML_OUTPUT = html
1093
1094 # The HTML_FILE_EXTENSION tag can be used to specify the file extension for each
1095 # generated HTML page (for example: .htm, .php, .asp).
1096 # The default value is: .html.
1097 # This tag requires that the tag GENERATE_HTML is set to YES.
1098
1099 HTML_FILE_EXTENSION = .html
1100
1101 # The HTML_HEADER tag can be used to specify a user-defined HTML header file for
1102 # each generated HTML page. If the tag is left blank doxygen will generate a
1103 # standard header.
1104 #
1105 # To get valid HTML the header file that includes any scripts and style sheets
1106 # that doxygen needs, which is dependent on the configuration options used (e.g.
1107 # the setting GENERATE_TREEVIEW). It is highly recommended to start with a
1108 # default header using
1109 # doxygen -w html new_header.html new_footer.html new_stylesheet.css
1110 # YourConfigFile
1111 # and then modify the file new_header.html. See also section "Doxygen usage"
1112 # for information on how to generate the default header that doxygen normally
1113 # uses.
1114 # Note: The header is subject to change so you typically have to regenerate the
1115 # default header when upgrading to a newer version of doxygen. For a description
1116 # of the possible markers and block names see the documentation.
1117 # This tag requires that the tag GENERATE_HTML is set to YES.
1118
1119 HTML_HEADER =
1120
1121 # The HTML_FOOTER tag can be used to specify a user-defined HTML footer for each
1122 # generated HTML page. If the tag is left blank doxygen will generate a standard
1123 # footer. See HTML_HEADER for more information on how to generate a default
1124 # footer and what special commands can be used inside the footer. See also
1125 # section "Doxygen usage" for information on how to generate the default footer
1126 # that doxygen normally uses.
1127 # This tag requires that the tag GENERATE_HTML is set to YES.
1128
1129 HTML_FOOTER =
1130
1131 # The HTML_STYLESHEET tag can be used to specify a user-defined cascading style
1132 # sheet that is used by each HTML page. It can be used to fine-tune the look of
1133 # the HTML output. If left blank doxygen will generate a default style sheet.
1134 # See also section "Doxygen usage" for information on how to generate the style
1135 # sheet that doxygen normally uses.
1136 # Note: It is recommended to use HTML_EXTRA_STYLESHEET instead of this tag, as
1137 # it is more robust and this tag (HTML_STYLESHEET) will in the future become
1138 # obsolete.
1139 # This tag requires that the tag GENERATE_HTML is set to YES.
1140
1141 HTML_STYLESHEET =
1142
1143 # The HTML_EXTRA_STYLESHEET tag can be used to specify additional user-defined
1144 # cascading style sheets that are included after the standard style sheets
1145 # created by doxygen. Using this option one can overrule certain style aspects.
1146 # This is preferred over using HTML_STYLESHEET since it does not replace the
1147 # standard style sheet and is therefore more robust against future updates.
1148 # Doxygen will copy the style sheet files to the output directory.
1149 # Note: The order of the extra style sheet files is of importance (e.g. the last
1150 # style sheet in the list overrules the setting of the previous ones in the
1151 # list). For an example see the documentation.
1152 # This tag requires that the tag GENERATE_HTML is set to YES.
1153
1154 HTML_EXTRA_STYLESHEET =
1155
1156 # The HTML_EXTRA_FILES tag can be used to specify one or more extra images or
1157 # other source files which should be copied to the HTML output directory. Note
1158 # that these files will be copied to the base HTML output directory. Use the
1159 # $relpath^ marker in the HTML_HEADER and/or HTML_FOOTER files to load these
1160 # files. In the HTML_STYLESHEET file, use the file name only. Also note that the
1161 # files will be copied as-is; there are no commands or markers available.
1162 # This tag requires that the tag GENERATE_HTML is set to YES.
1163
1164 HTML_EXTRA_FILES =
1165
1166 # The HTML_COLORSTYLE_HUE tag controls the color of the HTML output. Doxygen
1167 # will adjust the colors in the style sheet and background images according to
1168 # this color. Hue is specified as an angle on a colorwheel, see
1169 # http://en.wikipedia.org/wiki/Hue for more information. For instance the value
1170 # 0 represents red, 60 is yellow, 120 is green, 180 is cyan, 240 is blue, 300
1171 # purple, and 360 is red again.
1172 # Minimum value: 0, maximum value: 359, default value: 220.
1173 # This tag requires that the tag GENERATE_HTML is set to YES.
1174
1175 HTML_COLORSTYLE_HUE = 220
1176
1177 # The HTML_COLORSTYLE_SAT tag controls the purity (or saturation) of the colors
1178 # in the HTML output. For a value of 0 the output will use grayscales only. A
1179 # value of 255 will produce the most vivid colors.
1180 # Minimum value: 0, maximum value: 255, default value: 100.
1181 # This tag requires that the tag GENERATE_HTML is set to YES.
1182
1183 HTML_COLORSTYLE_SAT = 100
1184
1185 # The HTML_COLORSTYLE_GAMMA tag controls the gamma correction applied to the
1186 # luminance component of the colors in the HTML output. Values below 100
1187 # gradually make the output lighter, whereas values above 100 make the output
1188 # darker. The value divided by 100 is the actual gamma applied, so 80 represents
1189 # a gamma of 0.8, The value 220 represents a gamma of 2.2, and 100 does not
1190 # change the gamma.
1191 # Minimum value: 40, maximum value: 240, default value: 80.
1192 # This tag requires that the tag GENERATE_HTML is set to YES.
1193
1194 HTML_COLORSTYLE_GAMMA = 80
1195
1196 # If the HTML_TIMESTAMP tag is set to YES then the footer of each generated HTML
1197 # page will contain the date and time when the page was generated. Setting this
1198 # to YES can help to show when doxygen was last run and thus if the
1199 # documentation is up to date.
1200 # The default value is: NO.
1201 # This tag requires that the tag GENERATE_HTML is set to YES.
1202
1203 HTML_TIMESTAMP = NO
1204
1205 # If the HTML_DYNAMIC_SECTIONS tag is set to YES then the generated HTML
1206 # documentation will contain sections that can be hidden and shown after the
1207 # page has loaded.
1208 # The default value is: NO.
1209 # This tag requires that the tag GENERATE_HTML is set to YES.
1210
1211 HTML_DYNAMIC_SECTIONS = NO
1212
1213 # With HTML_INDEX_NUM_ENTRIES one can control the preferred number of entries
1214 # shown in the various tree structured indices initially; the user can expand
1215 # and collapse entries dynamically later on. Doxygen will expand the tree to
1216 # such a level that at most the specified number of entries are visible (unless
1217 # a fully collapsed tree already exceeds this amount). So setting the number of
1218 # entries 1 will produce a full collapsed tree by default. 0 is a special value
1219 # representing an infinite number of entries and will result in a full expanded
1220 # tree by default.
1221 # Minimum value: 0, maximum value: 9999, default value: 100.
1222 # This tag requires that the tag GENERATE_HTML is set to YES.
1223
1224 HTML_INDEX_NUM_ENTRIES = 100
1225
1226 # If the GENERATE_DOCSET tag is set to YES, additional index files will be
1227 # generated that can be used as input for Apple's Xcode 3 integrated development
1228 # environment (see: http://developer.apple.com/tools/xcode/), introduced with
1229 # OSX 10.5 (Leopard). To create a documentation set, doxygen will generate a
1230 # Makefile in the HTML output directory. Running make will produce the docset in
1231 # that directory and running make install will install the docset in
1232 # ~/Library/Developer/Shared/Documentation/DocSets so that Xcode will find it at
1233 # startup. See http://developer.apple.com/tools/creatingdocsetswithdoxygen.html
1234 # for more information.
1235 # The default value is: NO.
1236 # This tag requires that the tag GENERATE_HTML is set to YES.
1237
1238 GENERATE_DOCSET = NO
1239
1240 # This tag determines the name of the docset feed. A documentation feed provides
1241 # an umbrella under which multiple documentation sets from a single provider
1242 # (such as a company or product suite) can be grouped.
1243 # The default value is: Doxygen generated docs.
1244 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1245
1246 DOCSET_FEEDNAME = "Doxygen generated docs"
1247
1248 # This tag specifies a string that should uniquely identify the documentation
1249 # set bundle. This should be a reverse domain-name style string, e.g.
1250 # com.mycompany.MyDocSet. Doxygen will append .docset to the name.
1251 # The default value is: org.doxygen.Project.
1252 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1253
1254 DOCSET_BUNDLE_ID = org.doxygen.Project
1255
1256 # The DOCSET_PUBLISHER_ID tag specifies a string that should uniquely identify
1257 # the documentation publisher. This should be a reverse domain-name style
1258 # string, e.g. com.mycompany.MyDocSet.documentation.
1259 # The default value is: org.doxygen.Publisher.
1260 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1261
1262 DOCSET_PUBLISHER_ID = org.doxygen.Publisher
1263
1264 # The DOCSET_PUBLISHER_NAME tag identifies the documentation publisher.
1265 # The default value is: Publisher.
1266 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1267
1268 DOCSET_PUBLISHER_NAME = Publisher
1269
1270 # If the GENERATE_HTMLHELP tag is set to YES then doxygen generates three
1271 # additional HTML index files: index.hhp, index.hhc, and index.hhk. The
1272 # index.hhp is a project file that can be read by Microsoft's HTML Help Workshop
1273 # (see: http://www.microsoft.com/en-us/download/details.aspx?id=21138) on
1274 # Windows.
1275 #
1276 # The HTML Help Workshop contains a compiler that can convert all HTML output
1277 # generated by doxygen into a single compiled HTML file (.chm). Compiled HTML
1278 # files are now used as the Windows 98 help format, and will replace the old
1279 # Windows help format (.hlp) on all Windows platforms in the future. Compressed
1280 # HTML files also contain an index, a table of contents, and you can search for
1281 # words in the documentation. The HTML workshop also contains a viewer for
1282 # compressed HTML files.
1283 # The default value is: NO.
1284 # This tag requires that the tag GENERATE_HTML is set to YES.
1285
1286 GENERATE_HTMLHELP = NO
1287
1288 # The CHM_FILE tag can be used to specify the file name of the resulting .chm
1289 # file. You can add a path in front of the file if the result should not be
1290 # written to the html output directory.
1291 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1292
1293 CHM_FILE =
1294
1295 # The HHC_LOCATION tag can be used to specify the location (absolute path
1296 # including file name) of the HTML help compiler (hhc.exe). If non-empty,
1297 # doxygen will try to run the HTML help compiler on the generated index.hhp.
1298 # The file has to be specified with full path.
1299 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1300
1301 HHC_LOCATION =
1302
1303 # The GENERATE_CHI flag controls if a separate .chi index file is generated
1304 # (YES) or that it should be included in the master .chm file (NO).
1305 # The default value is: NO.
1306 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1307
1308 GENERATE_CHI = NO
1309
1310 # The CHM_INDEX_ENCODING is used to encode HtmlHelp index (hhk), content (hhc)
1311 # and project file content.
1312 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1313
1314 CHM_INDEX_ENCODING =
1315
1316 # The BINARY_TOC flag controls whether a binary table of contents is generated
1317 # (YES) or a normal table of contents (NO) in the .chm file. Furthermore it
1318 # enables the Previous and Next buttons.
1319 # The default value is: NO.
1320 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1321
1322 BINARY_TOC = NO
1323
1324 # The TOC_EXPAND flag can be set to YES to add extra items for group members to
1325 # the table of contents of the HTML help documentation and to the tree view.
1326 # The default value is: NO.
1327 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1328
1329 TOC_EXPAND = NO
1330
1331 # If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and
1332 # QHP_VIRTUAL_FOLDER are set, an additional index file will be generated that
1333 # can be used as input for Qt's qhelpgenerator to generate a Qt Compressed Help
1334 # (.qch) of the generated HTML documentation.
1335 # The default value is: NO.
1336 # This tag requires that the tag GENERATE_HTML is set to YES.
1337
1338 GENERATE_QHP = NO
1339
1340 # If the QHG_LOCATION tag is specified, the QCH_FILE tag can be used to specify
1341 # the file name of the resulting .qch file. The path specified is relative to
1342 # the HTML output folder.
1343 # This tag requires that the tag GENERATE_QHP is set to YES.
1344
1345 QCH_FILE =
1346
1347 # The QHP_NAMESPACE tag specifies the namespace to use when generating Qt Help
1348 # Project output. For more information please see Qt Help Project / Namespace
1349 # (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#namespace).
1350 # The default value is: org.doxygen.Project.
1351 # This tag requires that the tag GENERATE_QHP is set to YES.
1352
1353 QHP_NAMESPACE = org.doxygen.Project
1354
1355 # The QHP_VIRTUAL_FOLDER tag specifies the namespace to use when generating Qt
1356 # Help Project output. For more information please see Qt Help Project / Virtual
1357 # Folders (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#virtual-
1358 # folders).
1359 # The default value is: doc.
1360 # This tag requires that the tag GENERATE_QHP is set to YES.
1361
1362 QHP_VIRTUAL_FOLDER = doc
1363
1364 # If the QHP_CUST_FILTER_NAME tag is set, it specifies the name of a custom
1365 # filter to add. For more information please see Qt Help Project / Custom
1366 # Filters (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#custom-
1367 # filters).
1368 # This tag requires that the tag GENERATE_QHP is set to YES.
1369
1370 QHP_CUST_FILTER_NAME =
1371
1372 # The QHP_CUST_FILTER_ATTRS tag specifies the list of the attributes of the
1373 # custom filter to add. For more information please see Qt Help Project / Custom
1374 # Filters (see: http://qt-project.org/doc/qt-4.8/qthelpproject.html#custom-
1375 # filters).
1376 # This tag requires that the tag GENERATE_QHP is set to YES.
1377
1378 QHP_CUST_FILTER_ATTRS =
1379
1380 # The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this
1381 # project's filter section matches. Qt Help Project / Filter Attributes (see:
1382 # http://qt-project.org/doc/qt-4.8/qthelpproject.html#filter-attributes).
1383 # This tag requires that the tag GENERATE_QHP is set to YES.
1384
1385 QHP_SECT_FILTER_ATTRS =
1386
1387 # The QHG_LOCATION tag can be used to specify the location of Qt's
1388 # qhelpgenerator. If non-empty doxygen will try to run qhelpgenerator on the
1389 # generated .qhp file.
1390 # This tag requires that the tag GENERATE_QHP is set to YES.
1391
1392 QHG_LOCATION =
1393
1394 # If the GENERATE_ECLIPSEHELP tag is set to YES, additional index files will be
1395 # generated, together with the HTML files, they form an Eclipse help plugin. To
1396 # install this plugin and make it available under the help contents menu in
1397 # Eclipse, the contents of the directory containing the HTML and XML files needs
1398 # to be copied into the plugins directory of eclipse. The name of the directory
1399 # within the plugins directory should be the same as the ECLIPSE_DOC_ID value.
1400 # After copying Eclipse needs to be restarted before the help appears.
1401 # The default value is: NO.
1402 # This tag requires that the tag GENERATE_HTML is set to YES.
1403
1404 GENERATE_ECLIPSEHELP = NO
1405
1406 # A unique identifier for the Eclipse help plugin. When installing the plugin
1407 # the directory name containing the HTML and XML files should also have this
1408 # name. Each documentation set should have its own identifier.
1409 # The default value is: org.doxygen.Project.
1410 # This tag requires that the tag GENERATE_ECLIPSEHELP is set to YES.
1411
1412 ECLIPSE_DOC_ID = org.doxygen.Project
1413
1414 # If you want full control over the layout of the generated HTML pages it might
1415 # be necessary to disable the index and replace it with your own. The
1416 # DISABLE_INDEX tag can be used to turn on/off the condensed index (tabs) at top
1417 # of each HTML page. A value of NO enables the index and the value YES disables
1418 # it. Since the tabs in the index contain the same information as the navigation
1419 # tree, you can set this option to YES if you also set GENERATE_TREEVIEW to YES.
1420 # The default value is: NO.
1421 # This tag requires that the tag GENERATE_HTML is set to YES.
1422
1423 DISABLE_INDEX = NO
1424
1425 # The GENERATE_TREEVIEW tag is used to specify whether a tree-like index
1426 # structure should be generated to display hierarchical information. If the tag
1427 # value is set to YES, a side panel will be generated containing a tree-like
1428 # index structure (just like the one that is generated for HTML Help). For this
1429 # to work a browser that supports JavaScript, DHTML, CSS and frames is required
1430 # (i.e. any modern browser). Windows users are probably better off using the
1431 # HTML help feature. Via custom style sheets (see HTML_EXTRA_STYLESHEET) one can
1432 # further fine-tune the look of the index. As an example, the default style
1433 # sheet generated by doxygen has an example that shows how to put an image at
1434 # the root of the tree instead of the PROJECT_NAME. Since the tree basically has
1435 # the same information as the tab index, you could consider setting
1436 # DISABLE_INDEX to YES when enabling this option.
1437 # The default value is: NO.
1438 # This tag requires that the tag GENERATE_HTML is set to YES.
1439
1440 GENERATE_TREEVIEW = NO
1441
1442 # The ENUM_VALUES_PER_LINE tag can be used to set the number of enum values that
1443 # doxygen will group on one line in the generated HTML documentation.
1444 #
1445 # Note that a value of 0 will completely suppress the enum values from appearing
1446 # in the overview section.
1447 # Minimum value: 0, maximum value: 20, default value: 4.
1448 # This tag requires that the tag GENERATE_HTML is set to YES.
1449
1450 ENUM_VALUES_PER_LINE = 4
1451
1452 # If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be used
1453 # to set the initial width (in pixels) of the frame in which the tree is shown.
1454 # Minimum value: 0, maximum value: 1500, default value: 250.
1455 # This tag requires that the tag GENERATE_HTML is set to YES.
1456
1457 TREEVIEW_WIDTH = 250
1458
1459 # If the EXT_LINKS_IN_WINDOW option is set to YES, doxygen will open links to
1460 # external symbols imported via tag files in a separate window.
1461 # The default value is: NO.
1462 # This tag requires that the tag GENERATE_HTML is set to YES.
1463
1464 EXT_LINKS_IN_WINDOW = NO
1465
1466 # Use this tag to change the font size of LaTeX formulas included as images in
1467 # the HTML documentation. When you change the font size after a successful
1468 # doxygen run you need to manually remove any form_*.png images from the HTML
1469 # output directory to force them to be regenerated.
1470 # Minimum value: 8, maximum value: 50, default value: 10.
1471 # This tag requires that the tag GENERATE_HTML is set to YES.
1472
1473 FORMULA_FONTSIZE = 10
1474
1475 # Use the FORMULA_TRANPARENT tag to determine whether or not the images
1476 # generated for formulas are transparent PNGs. Transparent PNGs are not
1477 # supported properly for IE 6.0, but are supported on all modern browsers.
1478 #
1479 # Note that when changing this option you need to delete any form_*.png files in
1480 # the HTML output directory before the changes have effect.
1481 # The default value is: YES.
1482 # This tag requires that the tag GENERATE_HTML is set to YES.
1483
1484 FORMULA_TRANSPARENT = YES
1485
1486 # Enable the USE_MATHJAX option to render LaTeX formulas using MathJax (see
1487 # http://www.mathjax.org) which uses client side Javascript for the rendering
1488 # instead of using pre-rendered bitmaps. Use this if you do not have LaTeX
1489 # installed or if you want to formulas look prettier in the HTML output. When
1490 # enabled you may also need to install MathJax separately and configure the path
1491 # to it using the MATHJAX_RELPATH option.
1492 # The default value is: NO.
1493 # This tag requires that the tag GENERATE_HTML is set to YES.
1494
1495 USE_MATHJAX = NO
1496
1497 # When MathJax is enabled you can set the default output format to be used for
1498 # the MathJax output. See the MathJax site (see:
1499 # http://docs.mathjax.org/en/latest/output.html) for more details.
1500 # Possible values are: HTML-CSS (which is slower, but has the best
1501 # compatibility), NativeMML (i.e. MathML) and SVG.
1502 # The default value is: HTML-CSS.
1503 # This tag requires that the tag USE_MATHJAX is set to YES.
1504
1505 MATHJAX_FORMAT = HTML-CSS
1506
1507 # When MathJax is enabled you need to specify the location relative to the HTML
1508 # output directory using the MATHJAX_RELPATH option. The destination directory
1509 # should contain the MathJax.js script. For instance, if the mathjax directory
1510 # is located at the same level as the HTML output directory, then
1511 # MATHJAX_RELPATH should be ../mathjax. The default value points to the MathJax
1512 # Content Delivery Network so you can quickly see the result without installing
1513 # MathJax. However, it is strongly recommended to install a local copy of
1514 # MathJax from http://www.mathjax.org before deployment.
1515 # The default value is: http://cdn.mathjax.org/mathjax/latest.
1516 # This tag requires that the tag USE_MATHJAX is set to YES.
1517
1518 MATHJAX_RELPATH = http://www.mathjax.org/mathjax
1519
1520 # The MATHJAX_EXTENSIONS tag can be used to specify one or more MathJax
1521 # extension names that should be enabled during MathJax rendering. For example
1522 # MATHJAX_EXTENSIONS = TeX/AMSmath TeX/AMSsymbols
1523 # This tag requires that the tag USE_MATHJAX is set to YES.
1524
1525 MATHJAX_EXTENSIONS =
1526
1527 # The MATHJAX_CODEFILE tag can be used to specify a file with javascript pieces
1528 # of code that will be used on startup of the MathJax code. See the MathJax site
1529 # (see: http://docs.mathjax.org/en/latest/output.html) for more details. For an
1530 # example see the documentation.
1531 # This tag requires that the tag USE_MATHJAX is set to YES.
1532
1533 MATHJAX_CODEFILE =
1534
1535 # When the SEARCHENGINE tag is enabled doxygen will generate a search box for
1536 # the HTML output. The underlying search engine uses javascript and DHTML and
1537 # should work on any modern browser. Note that when using HTML help
1538 # (GENERATE_HTMLHELP), Qt help (GENERATE_QHP), or docsets (GENERATE_DOCSET)
1539 # there is already a search function so this one should typically be disabled.
1540 # For large projects the javascript based search engine can be slow, then
1541 # enabling SERVER_BASED_SEARCH may provide a better solution. It is possible to
1542 # search using the keyboard; to jump to the search box use <access key> + S
1543 # (what the <access key> is depends on the OS and browser, but it is typically
1544 # <CTRL>, <ALT>/<option>, or both). Inside the search box use the <cursor down
1545 # key> to jump into the search results window, the results can be navigated
1546 # using the <cursor keys>. Press <Enter> to select an item or <escape> to cancel
1547 # the search. The filter options can be selected when the cursor is inside the
1548 # search box by pressing <Shift>+<cursor down>. Also here use the <cursor keys>
1549 # to select a filter and <Enter> or <escape> to activate or cancel the filter
1550 # option.
1551 # The default value is: YES.
1552 # This tag requires that the tag GENERATE_HTML is set to YES.
1553
1554 SEARCHENGINE = YES
1555
1556 # When the SERVER_BASED_SEARCH tag is enabled the search engine will be
1557 # implemented using a web server instead of a web client using Javascript. There
1558 # are two flavors of web server based searching depending on the EXTERNAL_SEARCH
1559 # setting. When disabled, doxygen will generate a PHP script for searching and
1560 # an index file used by the script. When EXTERNAL_SEARCH is enabled the indexing
1561 # and searching needs to be provided by external tools. See the section
1562 # "External Indexing and Searching" for details.
1563 # The default value is: NO.
1564 # This tag requires that the tag SEARCHENGINE is set to YES.
1565
1566 SERVER_BASED_SEARCH = NO
1567
1568 # When EXTERNAL_SEARCH tag is enabled doxygen will no longer generate the PHP
1569 # script for searching. Instead the search results are written to an XML file
1570 # which needs to be processed by an external indexer. Doxygen will invoke an
1571 # external search engine pointed to by the SEARCHENGINE_URL option to obtain the
1572 # search results.
1573 #
1574 # Doxygen ships with an example indexer (doxyindexer) and search engine
1575 # (doxysearch.cgi) which are based on the open source search engine library
1576 # Xapian (see: http://xapian.org/).
1577 #
1578 # See the section "External Indexing and Searching" for details.
1579 # The default value is: NO.
1580 # This tag requires that the tag SEARCHENGINE is set to YES.
1581
1582 EXTERNAL_SEARCH = NO
1583
1584 # The SEARCHENGINE_URL should point to a search engine hosted by a web server
1585 # which will return the search results when EXTERNAL_SEARCH is enabled.
1586 #
1587 # Doxygen ships with an example indexer (doxyindexer) and search engine
1588 # (doxysearch.cgi) which are based on the open source search engine library
1589 # Xapian (see: http://xapian.org/). See the section "External Indexing and
1590 # Searching" for details.
1591 # This tag requires that the tag SEARCHENGINE is set to YES.
1592
1593 SEARCHENGINE_URL =
1594
1595 # When SERVER_BASED_SEARCH and EXTERNAL_SEARCH are both enabled the unindexed
1596 # search data is written to a file for indexing by an external tool. With the
1597 # SEARCHDATA_FILE tag the name of this file can be specified.
1598 # The default file is: searchdata.xml.
1599 # This tag requires that the tag SEARCHENGINE is set to YES.
1600
1601 SEARCHDATA_FILE = searchdata.xml
1602
1603 # When SERVER_BASED_SEARCH and EXTERNAL_SEARCH are both enabled the
1604 # EXTERNAL_SEARCH_ID tag can be used as an identifier for the project. This is
1605 # useful in combination with EXTRA_SEARCH_MAPPINGS to search through multiple
1606 # projects and redirect the results back to the right project.
1607 # This tag requires that the tag SEARCHENGINE is set to YES.
1608
1609 EXTERNAL_SEARCH_ID =
1610
1611 # The EXTRA_SEARCH_MAPPINGS tag can be used to enable searching through doxygen
1612 # projects other than the one defined by this configuration file, but that are
1613 # all added to the same external search index. Each project needs to have a
1614 # unique id set via EXTERNAL_SEARCH_ID. The search mapping then maps the id of
1615 # to a relative location where the documentation can be found. The format is:
1616 # EXTRA_SEARCH_MAPPINGS = tagname1=loc1 tagname2=loc2 ...
1617 # This tag requires that the tag SEARCHENGINE is set to YES.
1618
1619 EXTRA_SEARCH_MAPPINGS =
1620
1621 #---------------------------------------------------------------------------
1622 # Configuration options related to the LaTeX output
1623 #---------------------------------------------------------------------------
1624
1625 # If the GENERATE_LATEX tag is set to YES, doxygen will generate LaTeX output.
1626 # The default value is: YES.
1627
1628 GENERATE_LATEX = NO
1629
1630 # The LATEX_OUTPUT tag is used to specify where the LaTeX docs will be put. If a
1631 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1632 # it.
1633 # The default directory is: latex.
1634 # This tag requires that the tag GENERATE_LATEX is set to YES.
1635
1636 LATEX_OUTPUT = latex
1637
1638 # The LATEX_CMD_NAME tag can be used to specify the LaTeX command name to be
1639 # invoked.
1640 #
1641 # Note that when enabling USE_PDFLATEX this option is only used for generating
1642 # bitmaps for formulas in the HTML output, but not in the Makefile that is
1643 # written to the output directory.
1644 # The default file is: latex.
1645 # This tag requires that the tag GENERATE_LATEX is set to YES.
1646
1647 LATEX_CMD_NAME = latex
1648
1649 # The MAKEINDEX_CMD_NAME tag can be used to specify the command name to generate
1650 # index for LaTeX.
1651 # The default file is: makeindex.
1652 # This tag requires that the tag GENERATE_LATEX is set to YES.
1653
1654 MAKEINDEX_CMD_NAME = makeindex
1655
1656 # If the COMPACT_LATEX tag is set to YES, doxygen generates more compact LaTeX
1657 # documents. This may be useful for small projects and may help to save some
1658 # trees in general.
1659 # The default value is: NO.
1660 # This tag requires that the tag GENERATE_LATEX is set to YES.
1661
1662 COMPACT_LATEX = NO
1663
1664 # The PAPER_TYPE tag can be used to set the paper type that is used by the
1665 # printer.
1666 # Possible values are: a4 (210 x 297 mm), letter (8.5 x 11 inches), legal (8.5 x
1667 # 14 inches) and executive (7.25 x 10.5 inches).
1668 # The default value is: a4.
1669 # This tag requires that the tag GENERATE_LATEX is set to YES.
1670
1671 PAPER_TYPE = a4wide
1672
1673 # The EXTRA_PACKAGES tag can be used to specify one or more LaTeX package names
1674 # that should be included in the LaTeX output. The package can be specified just
1675 # by its name or with the correct syntax as to be used with the LaTeX
1676 # \usepackage command. To get the times font for instance you can specify :
1677 # EXTRA_PACKAGES=times or EXTRA_PACKAGES={times}
1678 # To use the option intlimits with the amsmath package you can specify:
1679 # EXTRA_PACKAGES=[intlimits]{amsmath}
1680 # If left blank no extra packages will be included.
1681 # This tag requires that the tag GENERATE_LATEX is set to YES.
1682
1683 EXTRA_PACKAGES =
1684
1685 # The LATEX_HEADER tag can be used to specify a personal LaTeX header for the
1686 # generated LaTeX document. The header should contain everything until the first
1687 # chapter. If it is left blank doxygen will generate a standard header. See
1688 # section "Doxygen usage" for information on how to let doxygen write the
1689 # default header to a separate file.
1690 #
1691 # Note: Only use a user-defined header if you know what you are doing! The
1692 # following commands have a special meaning inside the header: $title,
1693 # $datetime, $date, $doxygenversion, $projectname, $projectnumber,
1694 # $projectbrief, $projectlogo. Doxygen will replace $title with the empty
1695 # string, for the replacement values of the other commands the user is referred
1696 # to HTML_HEADER.
1697 # This tag requires that the tag GENERATE_LATEX is set to YES.
1698
1699 LATEX_HEADER =
1700
1701 # The LATEX_FOOTER tag can be used to specify a personal LaTeX footer for the
1702 # generated LaTeX document. The footer should contain everything after the last
1703 # chapter. If it is left blank doxygen will generate a standard footer. See
1704 # LATEX_HEADER for more information on how to generate a default footer and what
1705 # special commands can be used inside the footer.
1706 #
1707 # Note: Only use a user-defined footer if you know what you are doing!
1708 # This tag requires that the tag GENERATE_LATEX is set to YES.
1709
1710 LATEX_FOOTER =
1711
1712 # The LATEX_EXTRA_STYLESHEET tag can be used to specify additional user-defined
1713 # LaTeX style sheets that are included after the standard style sheets created
1714 # by doxygen. Using this option one can overrule certain style aspects. Doxygen
1715 # will copy the style sheet files to the output directory.
1716 # Note: The order of the extra style sheet files is of importance (e.g. the last
1717 # style sheet in the list overrules the setting of the previous ones in the
1718 # list).
1719 # This tag requires that the tag GENERATE_LATEX is set to YES.
1720
1721 LATEX_EXTRA_STYLESHEET =
1722
1723 # The LATEX_EXTRA_FILES tag can be used to specify one or more extra images or
1724 # other source files which should be copied to the LATEX_OUTPUT output
1725 # directory. Note that the files will be copied as-is; there are no commands or
1726 # markers available.
1727 # This tag requires that the tag GENERATE_LATEX is set to YES.
1728
1729 LATEX_EXTRA_FILES =
1730
1731 # If the PDF_HYPERLINKS tag is set to YES, the LaTeX that is generated is
1732 # prepared for conversion to PDF (using ps2pdf or pdflatex). The PDF file will
1733 # contain links (just like the HTML output) instead of page references. This
1734 # makes the output suitable for online browsing using a PDF viewer.
1735 # The default value is: YES.
1736 # This tag requires that the tag GENERATE_LATEX is set to YES.
1737
1738 PDF_HYPERLINKS = NO
1739
1740 # If the USE_PDFLATEX tag is set to YES, doxygen will use pdflatex to generate
1741 # the PDF file directly from the LaTeX files. Set this option to YES, to get a
1742 # higher quality PDF documentation.
1743 # The default value is: YES.
1744 # This tag requires that the tag GENERATE_LATEX is set to YES.
1745
1746 USE_PDFLATEX = YES
1747
1748 # If the LATEX_BATCHMODE tag is set to YES, doxygen will add the \batchmode
1749 # command to the generated LaTeX files. This will instruct LaTeX to keep running
1750 # if errors occur, instead of asking the user for help. This option is also used
1751 # when generating formulas in HTML.
1752 # The default value is: NO.
1753 # This tag requires that the tag GENERATE_LATEX is set to YES.
1754
1755 LATEX_BATCHMODE = NO
1756
1757 # If the LATEX_HIDE_INDICES tag is set to YES then doxygen will not include the
1758 # index chapters (such as File Index, Compound Index, etc.) in the output.
1759 # The default value is: NO.
1760 # This tag requires that the tag GENERATE_LATEX is set to YES.
1761
1762 LATEX_HIDE_INDICES = NO
1763
1764 # If the LATEX_SOURCE_CODE tag is set to YES then doxygen will include source
1765 # code with syntax highlighting in the LaTeX output.
1766 #
1767 # Note that which sources are shown also depends on other settings such as
1768 # SOURCE_BROWSER.
1769 # The default value is: NO.
1770 # This tag requires that the tag GENERATE_LATEX is set to YES.
1771
1772 LATEX_SOURCE_CODE = NO
1773
1774 # The LATEX_BIB_STYLE tag can be used to specify the style to use for the
1775 # bibliography, e.g. plainnat, or ieeetr. See
1776 # http://en.wikipedia.org/wiki/BibTeX and \cite for more info.
1777 # The default value is: plain.
1778 # This tag requires that the tag GENERATE_LATEX is set to YES.
1779
1780 LATEX_BIB_STYLE = plain
1781
1782 # If the LATEX_TIMESTAMP tag is set to YES then the footer of each generated
1783 # page will contain the date and time when the page was generated. Setting this
1784 # to NO can help when comparing the output of multiple runs.
1785 # The default value is: NO.
1786 # This tag requires that the tag GENERATE_LATEX is set to YES.
1787
1788 LATEX_TIMESTAMP = NO
1789
1790 #---------------------------------------------------------------------------
1791 # Configuration options related to the RTF output
1792 #---------------------------------------------------------------------------
1793
1794 # If the GENERATE_RTF tag is set to YES, doxygen will generate RTF output. The
1795 # RTF output is optimized for Word 97 and may not look too pretty with other RTF
1796 # readers/editors.
1797 # The default value is: NO.
1798
1799 GENERATE_RTF = NO
1800
1801 # The RTF_OUTPUT tag is used to specify where the RTF docs will be put. If a
1802 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1803 # it.
1804 # The default directory is: rtf.
1805 # This tag requires that the tag GENERATE_RTF is set to YES.
1806
1807 RTF_OUTPUT = glm.rtf
1808
1809 # If the COMPACT_RTF tag is set to YES, doxygen generates more compact RTF
1810 # documents. This may be useful for small projects and may help to save some
1811 # trees in general.
1812 # The default value is: NO.
1813 # This tag requires that the tag GENERATE_RTF is set to YES.
1814
1815 COMPACT_RTF = NO
1816
1817 # If the RTF_HYPERLINKS tag is set to YES, the RTF that is generated will
1818 # contain hyperlink fields. The RTF file will contain links (just like the HTML
1819 # output) instead of page references. This makes the output suitable for online
1820 # browsing using Word or some other Word compatible readers that support those
1821 # fields.
1822 #
1823 # Note: WordPad (write) and others do not support links.
1824 # The default value is: NO.
1825 # This tag requires that the tag GENERATE_RTF is set to YES.
1826
1827 RTF_HYPERLINKS = YES
1828
1829 # Load stylesheet definitions from file. Syntax is similar to doxygen's config
1830 # file, i.e. a series of assignments. You only have to provide replacements,
1831 # missing definitions are set to their default value.
1832 #
1833 # See also section "Doxygen usage" for information on how to generate the
1834 # default style sheet that doxygen normally uses.
1835 # This tag requires that the tag GENERATE_RTF is set to YES.
1836
1837 RTF_STYLESHEET_FILE =
1838
1839 # Set optional variables used in the generation of an RTF document. Syntax is
1840 # similar to doxygen's config file. A template extensions file can be generated
1841 # using doxygen -e rtf extensionFile.
1842 # This tag requires that the tag GENERATE_RTF is set to YES.
1843
1844 RTF_EXTENSIONS_FILE =
1845
1846 # If the RTF_SOURCE_CODE tag is set to YES then doxygen will include source code
1847 # with syntax highlighting in the RTF output.
1848 #
1849 # Note that which sources are shown also depends on other settings such as
1850 # SOURCE_BROWSER.
1851 # The default value is: NO.
1852 # This tag requires that the tag GENERATE_RTF is set to YES.
1853
1854 RTF_SOURCE_CODE = NO
1855
1856 #---------------------------------------------------------------------------
1857 # Configuration options related to the man page output
1858 #---------------------------------------------------------------------------
1859
1860 # If the GENERATE_MAN tag is set to YES, doxygen will generate man pages for
1861 # classes and files.
1862 # The default value is: NO.
1863
1864 GENERATE_MAN = NO
1865
1866 # The MAN_OUTPUT tag is used to specify where the man pages will be put. If a
1867 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1868 # it. A directory man3 will be created inside the directory specified by
1869 # MAN_OUTPUT.
1870 # The default directory is: man.
1871 # This tag requires that the tag GENERATE_MAN is set to YES.
1872
1873 MAN_OUTPUT = man
1874
1875 # The MAN_EXTENSION tag determines the extension that is added to the generated
1876 # man pages. In case the manual section does not start with a number, the number
1877 # 3 is prepended. The dot (.) at the beginning of the MAN_EXTENSION tag is
1878 # optional.
1879 # The default value is: .3.
1880 # This tag requires that the tag GENERATE_MAN is set to YES.
1881
1882 MAN_EXTENSION = .3
1883
1884 # The MAN_SUBDIR tag determines the name of the directory created within
1885 # MAN_OUTPUT in which the man pages are placed. If defaults to man followed by
1886 # MAN_EXTENSION with the initial . removed.
1887 # This tag requires that the tag GENERATE_MAN is set to YES.
1888
1889 MAN_SUBDIR =
1890
1891 # If the MAN_LINKS tag is set to YES and doxygen generates man output, then it
1892 # will generate one additional man file for each entity documented in the real
1893 # man page(s). These additional files only source the real man page, but without
1894 # them the man command would be unable to find the correct page.
1895 # The default value is: NO.
1896 # This tag requires that the tag GENERATE_MAN is set to YES.
1897
1898 MAN_LINKS = NO
1899
1900 #---------------------------------------------------------------------------
1901 # Configuration options related to the XML output
1902 #---------------------------------------------------------------------------
1903
1904 # If the GENERATE_XML tag is set to YES, doxygen will generate an XML file that
1905 # captures the structure of the code including all documentation.
1906 # The default value is: NO.
1907
1908 GENERATE_XML = NO
1909
1910 # The XML_OUTPUT tag is used to specify where the XML pages will be put. If a
1911 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1912 # it.
1913 # The default directory is: xml.
1914 # This tag requires that the tag GENERATE_XML is set to YES.
1915
1916 XML_OUTPUT = xml
1917
1918 # If the XML_PROGRAMLISTING tag is set to YES, doxygen will dump the program
1919 # listings (including syntax highlighting and cross-referencing information) to
1920 # the XML output. Note that enabling this will significantly increase the size
1921 # of the XML output.
1922 # The default value is: YES.
1923 # This tag requires that the tag GENERATE_XML is set to YES.
1924
1925 XML_PROGRAMLISTING = YES
1926
1927 #---------------------------------------------------------------------------
1928 # Configuration options related to the DOCBOOK output
1929 #---------------------------------------------------------------------------
1930
1931 # If the GENERATE_DOCBOOK tag is set to YES, doxygen will generate Docbook files
1932 # that can be used to generate PDF.
1933 # The default value is: NO.
1934
1935 GENERATE_DOCBOOK = NO
1936
1937 # The DOCBOOK_OUTPUT tag is used to specify where the Docbook pages will be put.
1938 # If a relative path is entered the value of OUTPUT_DIRECTORY will be put in
1939 # front of it.
1940 # The default directory is: docbook.
1941 # This tag requires that the tag GENERATE_DOCBOOK is set to YES.
1942
1943 DOCBOOK_OUTPUT = docbook
1944
1945 # If the DOCBOOK_PROGRAMLISTING tag is set to YES, doxygen will include the
1946 # program listings (including syntax highlighting and cross-referencing
1947 # information) to the DOCBOOK output. Note that enabling this will significantly
1948 # increase the size of the DOCBOOK output.
1949 # The default value is: NO.
1950 # This tag requires that the tag GENERATE_DOCBOOK is set to YES.
1951
1952 DOCBOOK_PROGRAMLISTING = NO
1953
1954 #---------------------------------------------------------------------------
1955 # Configuration options for the AutoGen Definitions output
1956 #---------------------------------------------------------------------------
1957
1958 # If the GENERATE_AUTOGEN_DEF tag is set to YES, doxygen will generate an
1959 # AutoGen Definitions (see http://autogen.sf.net) file that captures the
1960 # structure of the code including all documentation. Note that this feature is
1961 # still experimental and incomplete at the moment.
1962 # The default value is: NO.
1963
1964 GENERATE_AUTOGEN_DEF = NO
1965
1966 #---------------------------------------------------------------------------
1967 # Configuration options related to the Perl module output
1968 #---------------------------------------------------------------------------
1969
1970 # If the GENERATE_PERLMOD tag is set to YES, doxygen will generate a Perl module
1971 # file that captures the structure of the code including all documentation.
1972 #
1973 # Note that this feature is still experimental and incomplete at the moment.
1974 # The default value is: NO.
1975
1976 GENERATE_PERLMOD = NO
1977
1978 # If the PERLMOD_LATEX tag is set to YES, doxygen will generate the necessary
1979 # Makefile rules, Perl scripts and LaTeX code to be able to generate PDF and DVI
1980 # output from the Perl module output.
1981 # The default value is: NO.
1982 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
1983
1984 PERLMOD_LATEX = NO
1985
1986 # If the PERLMOD_PRETTY tag is set to YES, the Perl module output will be nicely
1987 # formatted so it can be parsed by a human reader. This is useful if you want to
1988 # understand what is going on. On the other hand, if this tag is set to NO, the
1989 # size of the Perl module output will be much smaller and Perl will parse it
1990 # just the same.
1991 # The default value is: YES.
1992 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
1993
1994 PERLMOD_PRETTY = YES
1995
1996 # The names of the make variables in the generated doxyrules.make file are
1997 # prefixed with the string contained in PERLMOD_MAKEVAR_PREFIX. This is useful
1998 # so different doxyrules.make files included by the same Makefile don't
1999 # overwrite each other's variables.
2000 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
2001
2002 PERLMOD_MAKEVAR_PREFIX =
2003
2004 #---------------------------------------------------------------------------
2005 # Configuration options related to the preprocessor
2006 #---------------------------------------------------------------------------
2007
2008 # If the ENABLE_PREPROCESSING tag is set to YES, doxygen will evaluate all
2009 # C-preprocessor directives found in the sources and include files.
2010 # The default value is: YES.
2011
2012 ENABLE_PREPROCESSING = YES
2013
2014 # If the MACRO_EXPANSION tag is set to YES, doxygen will expand all macro names
2015 # in the source code. If set to NO, only conditional compilation will be
2016 # performed. Macro expansion can be done in a controlled way by setting
2017 # EXPAND_ONLY_PREDEF to YES.
2018 # The default value is: NO.
2019 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2020
2021 MACRO_EXPANSION = NO
2022
2023 # If the EXPAND_ONLY_PREDEF and MACRO_EXPANSION tags are both set to YES then
2024 # the macro expansion is limited to the macros specified with the PREDEFINED and
2025 # EXPAND_AS_DEFINED tags.
2026 # The default value is: NO.
2027 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2028
2029 EXPAND_ONLY_PREDEF = NO
2030
2031 # If the SEARCH_INCLUDES tag is set to YES, the include files in the
2032 # INCLUDE_PATH will be searched if a #include is found.
2033 # The default value is: YES.
2034 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2035
2036 SEARCH_INCLUDES = YES
2037
2038 # The INCLUDE_PATH tag can be used to specify one or more directories that
2039 # contain include files that are not input files but should be processed by the
2040 # preprocessor.
2041 # This tag requires that the tag SEARCH_INCLUDES is set to YES.
2042
2043 INCLUDE_PATH =
2044
2045 # You can use the INCLUDE_FILE_PATTERNS tag to specify one or more wildcard
2046 # patterns (like *.h and *.hpp) to filter out the header-files in the
2047 # directories. If left blank, the patterns specified with FILE_PATTERNS will be
2048 # used.
2049 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2050
2051 INCLUDE_FILE_PATTERNS =
2052
2053 # The PREDEFINED tag can be used to specify one or more macro names that are
2054 # defined before the preprocessor is started (similar to the -D option of e.g.
2055 # gcc). The argument of the tag is a list of macros of the form: name or
2056 # name=definition (no spaces). If the definition and the "=" are omitted, "=1"
2057 # is assumed. To prevent a macro definition from being undefined via #undef or
2058 # recursively expanded use the := operator instead of the = operator.
2059 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2060
2061 PREDEFINED =
2062
2063 # If the MACRO_EXPANSION and EXPAND_ONLY_PREDEF tags are set to YES then this
2064 # tag can be used to specify a list of macro names that should be expanded. The
2065 # macro definition that is found in the sources will be used. Use the PREDEFINED
2066 # tag if you want to use a different macro definition that overrules the
2067 # definition found in the source code.
2068 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2069
2070 EXPAND_AS_DEFINED =
2071
2072 # If the SKIP_FUNCTION_MACROS tag is set to YES then doxygen's preprocessor will
2073 # remove all references to function-like macros that are alone on a line, have
2074 # an all uppercase name, and do not end with a semicolon. Such function macros
2075 # are typically used for boiler-plate code, and will confuse the parser if not
2076 # removed.
2077 # The default value is: YES.
2078 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2079
2080 SKIP_FUNCTION_MACROS = YES
2081
2082 #---------------------------------------------------------------------------
2083 # Configuration options related to external references
2084 #---------------------------------------------------------------------------
2085
2086 # The TAGFILES tag can be used to specify one or more tag files. For each tag
2087 # file the location of the external documentation should be added. The format of
2088 # a tag file without this location is as follows:
2089 # TAGFILES = file1 file2 ...
2090 # Adding location for the tag files is done as follows:
2091 # TAGFILES = file1=loc1 "file2 = loc2" ...
2092 # where loc1 and loc2 can be relative or absolute paths or URLs. See the
2093 # section "Linking to external documentation" for more information about the use
2094 # of tag files.
2095 # Note: Each tag file must have a unique name (where the name does NOT include
2096 # the path). If a tag file is not located in the directory in which doxygen is
2097 # run, you must also specify the path to the tagfile here.
2098
2099 TAGFILES =
2100
2101 # When a file name is specified after GENERATE_TAGFILE, doxygen will create a
2102 # tag file that is based on the input files it reads. See section "Linking to
2103 # external documentation" for more information about the usage of tag files.
2104
2105 GENERATE_TAGFILE =
2106
2107 # If the ALLEXTERNALS tag is set to YES, all external class will be listed in
2108 # the class index. If set to NO, only the inherited external classes will be
2109 # listed.
2110 # The default value is: NO.
2111
2112 ALLEXTERNALS = NO
2113
2114 # If the EXTERNAL_GROUPS tag is set to YES, all external groups will be listed
2115 # in the modules index. If set to NO, only the current project's groups will be
2116 # listed.
2117 # The default value is: YES.
2118
2119 EXTERNAL_GROUPS = YES
2120
2121 # If the EXTERNAL_PAGES tag is set to YES, all external pages will be listed in
2122 # the related pages index. If set to NO, only the current project's pages will
2123 # be listed.
2124 # The default value is: YES.
2125
2126 EXTERNAL_PAGES = YES
2127
2128 # The PERL_PATH should be the absolute path and name of the perl script
2129 # interpreter (i.e. the result of 'which perl').
2130 # The default file (with absolute path) is: /usr/bin/perl.
2131
2132 PERL_PATH = /usr/bin/perl
2133
2134 #---------------------------------------------------------------------------
2135 # Configuration options related to the dot tool
2136 #---------------------------------------------------------------------------
2137
2138 # If the CLASS_DIAGRAMS tag is set to YES, doxygen will generate a class diagram
2139 # (in HTML and LaTeX) for classes with base or super classes. Setting the tag to
2140 # NO turns the diagrams off. Note that this option also works with HAVE_DOT
2141 # disabled, but it is recommended to install and use dot, since it yields more
2142 # powerful graphs.
2143 # The default value is: YES.
2144
2145 CLASS_DIAGRAMS = YES
2146
2147 # You can define message sequence charts within doxygen comments using the \msc
2148 # command. Doxygen will then run the mscgen tool (see:
2149 # http://www.mcternan.me.uk/mscgen/)) to produce the chart and insert it in the
2150 # documentation. The MSCGEN_PATH tag allows you to specify the directory where
2151 # the mscgen tool resides. If left empty the tool is assumed to be found in the
2152 # default search path.
2153
2154 MSCGEN_PATH =
2155
2156 # You can include diagrams made with dia in doxygen documentation. Doxygen will
2157 # then run dia to produce the diagram and insert it in the documentation. The
2158 # DIA_PATH tag allows you to specify the directory where the dia binary resides.
2159 # If left empty dia is assumed to be found in the default search path.
2160
2161 DIA_PATH =
2162
2163 # If set to YES the inheritance and collaboration graphs will hide inheritance
2164 # and usage relations if the target is undocumented or is not a class.
2165 # The default value is: YES.
2166
2167 HIDE_UNDOC_RELATIONS = YES
2168
2169 # If you set the HAVE_DOT tag to YES then doxygen will assume the dot tool is
2170 # available from the path. This tool is part of Graphviz (see:
2171 # http://www.graphviz.org/), a graph visualization toolkit from AT&T and Lucent
2172 # Bell Labs. The other options in this section have no effect if this option is
2173 # set to NO
2174 # The default value is: NO.
2175
2176 HAVE_DOT = NO
2177
2178 # The DOT_NUM_THREADS specifies the number of dot invocations doxygen is allowed
2179 # to run in parallel. When set to 0 doxygen will base this on the number of
2180 # processors available in the system. You can set it explicitly to a value
2181 # larger than 0 to get control over the balance between CPU load and processing
2182 # speed.
2183 # Minimum value: 0, maximum value: 32, default value: 0.
2184 # This tag requires that the tag HAVE_DOT is set to YES.
2185
2186 DOT_NUM_THREADS = 0
2187
2188 # When you want a differently looking font in the dot files that doxygen
2189 # generates you can specify the font name using DOT_FONTNAME. You need to make
2190 # sure dot is able to find the font, which can be done by putting it in a
2191 # standard location or by setting the DOTFONTPATH environment variable or by
2192 # setting DOT_FONTPATH to the directory containing the font.
2193 # The default value is: Helvetica.
2194 # This tag requires that the tag HAVE_DOT is set to YES.
2195
2196 DOT_FONTNAME = FreeSans
2197
2198 # The DOT_FONTSIZE tag can be used to set the size (in points) of the font of
2199 # dot graphs.
2200 # Minimum value: 4, maximum value: 24, default value: 10.
2201 # This tag requires that the tag HAVE_DOT is set to YES.
2202
2203 DOT_FONTSIZE = 10
2204
2205 # By default doxygen will tell dot to use the default font as specified with
2206 # DOT_FONTNAME. If you specify a different font using DOT_FONTNAME you can set
2207 # the path where dot can find it using this tag.
2208 # This tag requires that the tag HAVE_DOT is set to YES.
2209
2210 DOT_FONTPATH =
2211
2212 # If the CLASS_GRAPH tag is set to YES then doxygen will generate a graph for
2213 # each documented class showing the direct and indirect inheritance relations.
2214 # Setting this tag to YES will force the CLASS_DIAGRAMS tag to NO.
2215 # The default value is: YES.
2216 # This tag requires that the tag HAVE_DOT is set to YES.
2217
2218 CLASS_GRAPH = YES
2219
2220 # If the COLLABORATION_GRAPH tag is set to YES then doxygen will generate a
2221 # graph for each documented class showing the direct and indirect implementation
2222 # dependencies (inheritance, containment, and class references variables) of the
2223 # class with other documented classes.
2224 # The default value is: YES.
2225 # This tag requires that the tag HAVE_DOT is set to YES.
2226
2227 COLLABORATION_GRAPH = YES
2228
2229 # If the GROUP_GRAPHS tag is set to YES then doxygen will generate a graph for
2230 # groups, showing the direct groups dependencies.
2231 # The default value is: YES.
2232 # This tag requires that the tag HAVE_DOT is set to YES.
2233
2234 GROUP_GRAPHS = YES
2235
2236 # If the UML_LOOK tag is set to YES, doxygen will generate inheritance and
2237 # collaboration diagrams in a style similar to the OMG's Unified Modeling
2238 # Language.
2239 # The default value is: NO.
2240 # This tag requires that the tag HAVE_DOT is set to YES.
2241
2242 UML_LOOK = NO
2243
2244 # If the UML_LOOK tag is enabled, the fields and methods are shown inside the
2245 # class node. If there are many fields or methods and many nodes the graph may
2246 # become too big to be useful. The UML_LIMIT_NUM_FIELDS threshold limits the
2247 # number of items for each type to make the size more manageable. Set this to 0
2248 # for no limit. Note that the threshold may be exceeded by 50% before the limit
2249 # is enforced. So when you set the threshold to 10, up to 15 fields may appear,
2250 # but if the number exceeds 15, the total amount of fields shown is limited to
2251 # 10.
2252 # Minimum value: 0, maximum value: 100, default value: 10.
2253 # This tag requires that the tag HAVE_DOT is set to YES.
2254
2255 UML_LIMIT_NUM_FIELDS = 10
2256
2257 # If the TEMPLATE_RELATIONS tag is set to YES then the inheritance and
2258 # collaboration graphs will show the relations between templates and their
2259 # instances.
2260 # The default value is: NO.
2261 # This tag requires that the tag HAVE_DOT is set to YES.
2262
2263 TEMPLATE_RELATIONS = NO
2264
2265 # If the INCLUDE_GRAPH, ENABLE_PREPROCESSING and SEARCH_INCLUDES tags are set to
2266 # YES then doxygen will generate a graph for each documented file showing the
2267 # direct and indirect include dependencies of the file with other documented
2268 # files.
2269 # The default value is: YES.
2270 # This tag requires that the tag HAVE_DOT is set to YES.
2271
2272 INCLUDE_GRAPH = YES
2273
2274 # If the INCLUDED_BY_GRAPH, ENABLE_PREPROCESSING and SEARCH_INCLUDES tags are
2275 # set to YES then doxygen will generate a graph for each documented file showing
2276 # the direct and indirect include dependencies of the file with other documented
2277 # files.
2278 # The default value is: YES.
2279 # This tag requires that the tag HAVE_DOT is set to YES.
2280
2281 INCLUDED_BY_GRAPH = YES
2282
2283 # If the CALL_GRAPH tag is set to YES then doxygen will generate a call
2284 # dependency graph for every global function or class method.
2285 #
2286 # Note that enabling this option will significantly increase the time of a run.
2287 # So in most cases it will be better to enable call graphs for selected
2288 # functions only using the \callgraph command. Disabling a call graph can be
2289 # accomplished by means of the command \hidecallgraph.
2290 # The default value is: NO.
2291 # This tag requires that the tag HAVE_DOT is set to YES.
2292
2293 CALL_GRAPH = YES
2294
2295 # If the CALLER_GRAPH tag is set to YES then doxygen will generate a caller
2296 # dependency graph for every global function or class method.
2297 #
2298 # Note that enabling this option will significantly increase the time of a run.
2299 # So in most cases it will be better to enable caller graphs for selected
2300 # functions only using the \callergraph command. Disabling a caller graph can be
2301 # accomplished by means of the command \hidecallergraph.
2302 # The default value is: NO.
2303 # This tag requires that the tag HAVE_DOT is set to YES.
2304
2305 CALLER_GRAPH = YES
2306
2307 # If the GRAPHICAL_HIERARCHY tag is set to YES then doxygen will graphical
2308 # hierarchy of all classes instead of a textual one.
2309 # The default value is: YES.
2310 # This tag requires that the tag HAVE_DOT is set to YES.
2311
2312 GRAPHICAL_HIERARCHY = YES
2313
2314 # If the DIRECTORY_GRAPH tag is set to YES then doxygen will show the
2315 # dependencies a directory has on other directories in a graphical way. The
2316 # dependency relations are determined by the #include relations between the
2317 # files in the directories.
2318 # The default value is: YES.
2319 # This tag requires that the tag HAVE_DOT is set to YES.
2320
2321 DIRECTORY_GRAPH = YES
2322
2323 # The DOT_IMAGE_FORMAT tag can be used to set the image format of the images
2324 # generated by dot. For an explanation of the image formats see the section
2325 # output formats in the documentation of the dot tool (Graphviz (see:
2326 # http://www.graphviz.org/)).
2327 # Note: If you choose svg you need to set HTML_FILE_EXTENSION to xhtml in order
2328 # to make the SVG files visible in IE 9+ (other browsers do not have this
2329 # requirement).
2330 # Possible values are: png, jpg, gif, svg, png:gd, png:gd:gd, png:cairo,
2331 # png:cairo:gd, png:cairo:cairo, png:cairo:gdiplus, png:gdiplus and
2332 # png:gdiplus:gdiplus.
2333 # The default value is: png.
2334 # This tag requires that the tag HAVE_DOT is set to YES.
2335
2336 DOT_IMAGE_FORMAT = png
2337
2338 # If DOT_IMAGE_FORMAT is set to svg, then this option can be set to YES to
2339 # enable generation of interactive SVG images that allow zooming and panning.
2340 #
2341 # Note that this requires a modern browser other than Internet Explorer. Tested
2342 # and working are Firefox, Chrome, Safari, and Opera.
2343 # Note: For IE 9+ you need to set HTML_FILE_EXTENSION to xhtml in order to make
2344 # the SVG files visible. Older versions of IE do not have SVG support.
2345 # The default value is: NO.
2346 # This tag requires that the tag HAVE_DOT is set to YES.
2347
2348 INTERACTIVE_SVG = NO
2349
2350 # The DOT_PATH tag can be used to specify the path where the dot tool can be
2351 # found. If left blank, it is assumed the dot tool can be found in the path.
2352 # This tag requires that the tag HAVE_DOT is set to YES.
2353
2354 DOT_PATH =
2355
2356 # The DOTFILE_DIRS tag can be used to specify one or more directories that
2357 # contain dot files that are included in the documentation (see the \dotfile
2358 # command).
2359 # This tag requires that the tag HAVE_DOT is set to YES.
2360
2361 DOTFILE_DIRS =
2362
2363 # The MSCFILE_DIRS tag can be used to specify one or more directories that
2364 # contain msc files that are included in the documentation (see the \mscfile
2365 # command).
2366
2367 MSCFILE_DIRS =
2368
2369 # The DIAFILE_DIRS tag can be used to specify one or more directories that
2370 # contain dia files that are included in the documentation (see the \diafile
2371 # command).
2372
2373 DIAFILE_DIRS =
2374
2375 # When using plantuml, the PLANTUML_JAR_PATH tag should be used to specify the
2376 # path where java can find the plantuml.jar file. If left blank, it is assumed
2377 # PlantUML is not used or called during a preprocessing step. Doxygen will
2378 # generate a warning when it encounters a \startuml command in this case and
2379 # will not generate output for the diagram.
2380
2381 PLANTUML_JAR_PATH =
2382
2383 # When using plantuml, the specified paths are searched for files specified by
2384 # the !include statement in a plantuml block.
2385
2386 PLANTUML_INCLUDE_PATH =
2387
2388 # The DOT_GRAPH_MAX_NODES tag can be used to set the maximum number of nodes
2389 # that will be shown in the graph. If the number of nodes in a graph becomes
2390 # larger than this value, doxygen will truncate the graph, which is visualized
2391 # by representing a node as a red box. Note that doxygen if the number of direct
2392 # children of the root node in a graph is already larger than
2393 # DOT_GRAPH_MAX_NODES then the graph will not be shown at all. Also note that
2394 # the size of a graph can be further restricted by MAX_DOT_GRAPH_DEPTH.
2395 # Minimum value: 0, maximum value: 10000, default value: 50.
2396 # This tag requires that the tag HAVE_DOT is set to YES.
2397
2398 DOT_GRAPH_MAX_NODES = 50
2399
2400 # The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the graphs
2401 # generated by dot. A depth value of 3 means that only nodes reachable from the
2402 # root by following a path via at most 3 edges will be shown. Nodes that lay
2403 # further from the root node will be omitted. Note that setting this option to 1
2404 # or 2 may greatly reduce the computation time needed for large code bases. Also
2405 # note that the size of a graph can be further restricted by
2406 # DOT_GRAPH_MAX_NODES. Using a depth of 0 means no depth restriction.
2407 # Minimum value: 0, maximum value: 1000, default value: 0.
2408 # This tag requires that the tag HAVE_DOT is set to YES.
2409
2410 MAX_DOT_GRAPH_DEPTH = 1000
2411
2412 # Set the DOT_TRANSPARENT tag to YES to generate images with a transparent
2413 # background. This is disabled by default, because dot on Windows does not seem
2414 # to support this out of the box.
2415 #
2416 # Warning: Depending on the platform used, enabling this option may lead to
2417 # badly anti-aliased labels on the edges of a graph (i.e. they become hard to
2418 # read).
2419 # The default value is: NO.
2420 # This tag requires that the tag HAVE_DOT is set to YES.
2421
2422 DOT_TRANSPARENT = NO
2423
2424 # Set the DOT_MULTI_TARGETS tag to YES to allow dot to generate multiple output
2425 # files in one run (i.e. multiple -o and -T options on the command line). This
2426 # makes dot run faster, but since only newer versions of dot (>1.8.10) support
2427 # this, this feature is disabled by default.
2428 # The default value is: NO.
2429 # This tag requires that the tag HAVE_DOT is set to YES.
2430
2431 DOT_MULTI_TARGETS = NO
2432
2433 # If the GENERATE_LEGEND tag is set to YES doxygen will generate a legend page
2434 # explaining the meaning of the various boxes and arrows in the dot generated
2435 # graphs.
2436 # The default value is: YES.
2437 # This tag requires that the tag HAVE_DOT is set to YES.
2438
2439 GENERATE_LEGEND = YES
2440
2441 # If the DOT_CLEANUP tag is set to YES, doxygen will remove the intermediate dot
2442 # files that are used to generate the various graphs.
2443 # The default value is: YES.
2444 # This tag requires that the tag HAVE_DOT is set to YES.
2445
2446 DOT_CLEANUP = YES
gli
Namespace where all the classes and functions provided by GLI are exposed.
Definition: clear.hpp:6